local span_config = {

	-- 第一阶段
	{
		-- 持续回合
		["duration"] = "INFINITY", -- 持续有限回合
		-- 普通掉落配置
		["normal"] = {

			["normal_prob"] = 20, -- 普通掉落概率

			["normal_config"] = {
				["prob_red"] = 1,  -- 颜色概率
				["prob_green"] = 1,
				["prob_blue"] = 1,
				["prob_yellow"] = 1,
				["prob_pink"] = 1,
				["prob_white"] = 0,
			},

		},
		-- 特殊掉落配置
		["special"] = {

			["special_prob"] = 80, -- 特殊掉落概率
			
			["special_number_config"] = {

				{
					["threshold"] = 3,
					["max_number"] = 2,
				},

				{
					["threshold"] = 8,
					["max_number"] = 6,-- 掉落个数上限
				},

				{
					["threshold"] = "INFINITY",
					["max_number"] = 12,-- 掉落个数上限
				},
			}, 
			["special_config"] = {
				-- 掉落项配置
				{
					["type"] = "TransformSugar", -- 掉落类型
					["prob"] = 10, -- 类型掉落概率
					["config_index"] = 0 -- 配置参数下标
				},

				
			},

		},

	},

	-- -- 第二阶段
	-- {
		
	-- 	["duration"] = "INFINITY", -- 持续无限回合

		
	-- 	["normal"] = {

	-- 		["normal_prob"] = 95,

	-- 		["normal_config"] = {
	-- 			["prob_red"] = 1,  
	-- 			["prob_green"] = 1,
	-- 			["prob_blue"] = 1,
	-- 			["prob_yellow"] = 1,
	-- 			["prob_pink"] = 1,
	-- 			["prob_white"] = 0,
	-- 		},

	-- 	},

	-- 	["special"] = {

	-- 		["special_prob"] = 5,

	-- 		["special_number_config"] = {

	-- 			{
	-- 				["threshold"] = 3,
	-- 				["max_number"] = 1,
	-- 			},

	-- 			{
	-- 				["threshold"] = "INFINITY",
	-- 				["max_number"] = 2,
	-- 			},

	-- 		}, --

	-- 		["special_config"] = {

	-- 			{
	-- 				["type"] = "TimingBombSugar",
	-- 				["prob"] = 1,
	-- 				["config_index"] = 5
	-- 			},

	-- 		},

	-- 	},

	-- },

}

return span_config