local span_config = {

	-- 第一阶段
	{
		-- 持续回合
		["duration"] = 2, -- 持续有限回合
		-- 普通掉落配置
		["normal"] = {

			["normal_prob"] = 1, -- 普通掉落概率

			["normal_config"] = {
				["prob_red"] = 1,  -- 颜色概率
				["prob_green"] = 1,
				["prob_blue"] = 1,
				["prob_yellow"] = 2,
				["prob_pink"] = 1,
				["prob_white"] = 0,
			},

		},
		-- 特殊掉落配置
		["special"] = {

			["special_prob"] = 1000, -- 特殊掉落概率
			
			["special_number_config"] = {

				{
					["threshold"] = 2,
					["max_number"] = 0,
				},

				{
					["threshold"] = "INFINITY",
					["max_number"] = 1,-- 掉落个数上限
				},

			}, 
			["special_config"] = {
				-- 掉落项配置
				{
					["type"] = "MoveableIceSugar", -- 掉落类型
					["prob"] = 1, -- 类型掉落概率
					["config_index"] = 1 -- 配置参数下标
				},

			},

		},

	},

	-- 第二阶段
	{
		
		["duration"] = "INFINITY", -- 持续无限回合

		
		["normal"] = {

			["normal_prob"] = 75,

			["normal_config"] = {
				["prob_red"] = 1,  
				["prob_green"] = 1,
				["prob_blue"] = 1,
				["prob_yellow"] = 2,
				["prob_pink"] = 1,
				["prob_white"] = 0,
			},

		},

		["special"] = {

			["special_prob"] = 25,

			["special_number_config"] = {

				{
					["threshold"] = 2,
					["max_number"] = 0,
				},

				{
					["threshold"] = "INFINITY",
					["max_number"] = 1,-- 掉落个数上限
				},

			}, --

			["special_config"] = {
				-- 掉落项配置
				{
					["type"] = "MoveableIceSugar", -- 掉落类型
					["prob"] = 1, -- 类型掉落概率
					["config_index"] = 1 -- 配置参数下标
				},

			},

		},

	},

}

return span_config