CommunicatingMask = class("CommunicatingMask", function() return cc.Layer:create() end)

function CommunicatingMask:ctor()
    -- 吃掉点击事件
    self.__n_enable = true
    local  listener = cc.EventListenerTouchOneByOne:create()
    listener:setSwallowTouches(true)
    listener:registerScriptHandler(function(touch, event)
        return self.__n_enable
    end, cc.Handler.EVENT_TOUCH_BEGAN )
    self:getEventDispatcher():addEventListenerWithSceneGraphPriority(listener, self)

    local layer_color = cc.LayerColor:create(cc.c4b(0, 0, 0, 200))
    self:addChild(layer_color, 1)

    local size = cc.Director:getInstance():getVisibleSize()

    local spine = ResourceManager:getInstance():getSpineByKey("SPINE_NETWORK", 1.0)
    spine:setPosition(cc.p(size.width / 2, size.height / 2))
    spine:setAnimation(0, "loading_net", true)
    self:addChild(spine, 1)

end

function CommunicatingMask:setEnabled(enable)

    self.__n_enable = enable

end

return CommunicatingMask