Gift_Data = class("Gift_Data")

function Gift_Data:ctor()
	self.gift_info_vector = require "script/gift_info.lua"
	self.gift_info_vector_id = {}
	for k,v in pairs(self.gift_info_vector) do
		self.gift_info_vector_id[v.gift_id] = v 
	end
end

function Gift_Data:get_gift_info_vector()
	return self.gift_info_vector
end

function Gift_Data:get_gift_info_by_id(gift_id)
	return self.gift_info_vector_id[gift_id]
end

function Gift_Data:getInstance()
	Gift_Data.instance = Gift_Data.instance or Gift_Data:create()
	return Gift_Data.instance
end

return Gift_Data 