Head_Data = class("Head_Data")

function Head_Data:ctor()
	self.head_info_vector = require "script/head_info.lua"
	self.head_info_vector_id = {}
	for k,v in pairs(self.head_info_vector) do
		self.head_info_vector_id[v["head_id"]] = v 
	end
end

function Head_Data:get_head_info_vector()
	return self.head_info_vector
end

function Head_Data:get_head_info_by_id(head_id)
	return self.head_info_vector_id[head_id]
end

function Head_Data:get_head_index_by_id(head_id)
	for k,v in pairs(self.head_info_vector) do
		if v.head_id == head_id then
			return k-1
		end
	end
	return 0
end

function Head_Data:getInstance()
	Head_Data.instance = Head_Data.instance or Head_Data:create()
	return Head_Data.instance
end

return Head_Data 