Section_Data = class("Section_Data")

function Section_Data:ctor()
	self.section_info_vector = require "script/section_info.lua"
	self.section_info_vector_id = {}

	for k,v in pairs(self.section_info_vector) do
		self.section_info_vector_id[v.section_id] = v                   
	end

end

function Section_Data:get_section_info_vector()
	return self.section_info_vector
end

function Section_Data:get_section_info_by_id(section_id)
	return self.section_info_vector_id[section_id]
end

function Section_Data:getInstance()
	Section_Data.instance = Section_Data.instance or Section_Data:create()
	return Section_Data.instance
end

return Section_Data 