Shop_Item_Data = class("Shop_Item_Data")

function Shop_Item_Data:ctor()
	self.shop_item_info_vector = require "script/shop_item.lua"
	self.shop_item_info_vector_id = {}
	for k,v in pairs(self.shop_item_info_vector) do
		self.shop_item_info_vector_id[v["item_id"]] = v 
	end
end

function Shop_Item_Data:get_shop_item_info_vector()
	return self.shop_item_info_vector
end

function Shop_Item_Data:get_shop_item_info_by_id(item_id)
	return self.shop_item_info_vector_id[item_id]
end

function Shop_Item_Data:get_res_by_currency(currency)
	if currency == "gold" then
        return "images/shop/gold.png"
    elseif currency == "jewel" then
        return "images/shop/jewel.png"
    elseif currency == "rmb" then
        return "images/shop/rmb.png"
    end
end

function Shop_Item_Data:getInstance()
	Shop_Item_Data.instance = Shop_Item_Data.instance or Shop_Item_Data:create()
	return Shop_Item_Data.instance
end

return Shop_Item_Data 