Skill_Data = class("Skill_Data")

function Skill_Data:ctor()
	self.skill_info_vector = require "script/skill_info.lua"
	self.skill_info_vector_id = {}
	for k,v in pairs(self.skill_info_vector) do
		self.skill_info_vector_id[v["skill_id"]] = v 
	end
end

function Skill_Data:get_skill_info_vector()
	return self.skill_info_vector
end

function Skill_Data:get_skill_info_by_id(skill_id)
	return self.skill_info_vector_id[skill_id]
end

function Skill_Data:getInstance()
	Skill_Data.instance = Skill_Data.instance or Skill_Data:create()
	return Skill_Data.instance
end

return Skill_Data 