require "core.Role_Data"
Skin_Data = class("Skin_Data")

function Skin_Data:ctor()
	self.skin_info_vector = require "script/skin_info.lua"
	self.skin_info_vector_id = {}
	for k,v in pairs(self.skin_info_vector) do
		self.skin_info_vector_id[v.skin_id] = v 
	end
end

function Skin_Data:get_skin_info_vector()
	return self.skin_info_vector
end

function Skin_Data:get_skin_info_by_id(skin_id)
	return self.skin_info_vector_id[skin_id]
end

function Skin_Data:get_role_by_skin_id(skin_id)
	local role_info_vector = Role_Data:getInstance():get_role_info_vector()
	for i=1,#role_info_vector do
		local role_info = role_info_vector[i]
		local skin_id_list = role_info.skin_id_list
		for k,v in pairs(skin_id_list) do
			if v == skin_id then
				return role_info
			end
		end
	end
	return nil
end

function Skin_Data:getInstance()
	Skin_Data.instance = Skin_Data.instance or Skin_Data:create()
	return Skin_Data.instance
end

return Skin_Data 