local bag_info_vector = {
	[1] = {
		["item_id"] = "item_01",
		["item_name"] = "体力",
		["item_rank"] = 0,
		["res_key"] = "images/shop/energy.png",
		["description"] = "体力单位",
		["is_show"] = false,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[2] = {
		["item_id"] = "item_02",
		["item_name"] = "金币",
		["item_rank"] = 0,
		["res_key"] = "images/shop/gold.png",
		["description"] = "金币单位",
		["is_show"] = false,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[3] = {
		["item_id"] = "item_03",
		["item_name"] = "钻石",
		["item_rank"] = 0,
		["res_key"] = "images/shop/jewel.png",
		["description"] = "钻石单位",
		["is_show"] = false,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[4] = {
		["item_id"] = "item_101",
		["item_name"] = "小体力药水",
		["item_rank"] = 1,
		["res_key"] = "images/shop/energy_1.png",
		["description"] = "使用后增加1点体力",
		["is_show"] = true,
		["can_use"] = true,
		["add_item"]  = {{"item_01", 1}},
	},
	[5] = {
		["item_id"] = "item_102",
		["item_name"] = "大体力药水",
		["item_rank"] = 2,
		["res_key"] = "images/shop/energy_2.png",
		["description"] = "使用后增加3点体力",
		["is_show"] = true,
		["can_use"] = true,
		["add_item"]  = {{"item_01", 3}},
	},
	[6] = {
		["item_id"] = "item_103",
		["item_name"] = "超大体力药水",
		["item_rank"] = 0,
		["res_key"] = "images/shop/energy_3.png",
		["description"] = "使用后补满体力",
		["is_show"] = true,
		["can_use"] = true,
		["add_item"]  = {{"item_01", 100}},
	},
	[7] = {
		["item_id"] = "item_201",
		["item_name"] = "+2步",
		["item_rank"] = 3,
		["res_key"] = "images/item/item_5.png",
		["description"] = "游戏开局时，额外增加二步",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[8] = {
		["item_id"] = "item_202",
		["item_name"] = "炸弹糖果",
		["item_rank"] = 4,
		["res_key"] = "images/item/boom.png",
		["description"] = "游戏开始时，随机将棋盘内的\n一个糖果变成炸弹糖果",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[9] = {
		["item_id"] = "item_203",
		["item_name"] = "闪电糖果",
		["item_rank"] = 5,
		["res_key"] = "images/item/flash.png",
		["description"] = "游戏开始时，随机将棋盘内的\n一个糖果变成闪电糖果",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[10] = {
		["item_id"] = "item_301",
		["item_name"] = "大锤子",
		["skill_name"] = "HammerSkill",
		["item_rank"] = 6,
		["res_key"] = "images/item/item_0.png",
		["description"] = "消除棋盘内的一个糖果或者障碍",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[11] = {
		["item_id"] = "item_302",
		["item_name"] = "波可比炸弹",
		["skill_name"] = "BombSkill",
		["item_rank"] = 7,
		["res_key"] = "images/item/item_1.png",
		["description"] = "在棋盘内任一位置制造出爆炸效果",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[12] = {
		["item_id"] = "item_303",
		["item_name"] = "百变糖果",
		["skill_name"] = "CandySkill",
		["item_rank"] = 8,
		["res_key"] = "images/item/item_3.png",
		["description"] = "将棋盘内任意一个糖果变成\n百变糖果",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[13] = {
		["item_id"] = "item_304",
		["item_name"] = "彩虹桥",
		["skill_name"] = "LineSkill",
		["item_rank"] = 9,
		["res_key"] = "images/item/item_2.png",
		["description"] = "可无视距离、方向和数量连接\n同色糖果",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[14] = {
		["item_id"] = "item_305",
		["item_name"] = "+5步",
		["skill_name"] = "MoveSkill",
		["item_rank"] = 10,
		["res_key"] = "images/item/item_7.png",
		["description"] = "额外增加5步",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[15] = {
		["item_id"] = "item_401",
		["item_name"] = "+3体力上限",
		["item_rank"] = 0,
		["res_key"] = "images/shop/energy_5.png",
		["description"] = "体力上限永久+3",
		["is_show"] = false,
		["can_use"] = false,
		["add_item"]  = {},
	},
	[16] = {
		["item_id"] = "item_501",
		["item_name"] = "限时大锤子",
		["skill_name"] = "HammerSkill",
		["item_rank"] = 0,
		["res_key"] = "images/item/item_0_1.png",
		["description"] = "限时一天，消除棋盘内\n的一个糖果或者障碍",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
		["is_limited_time"] = true,
	},
	[17] = {
		["item_id"] = "item_502",
		["item_name"] = "限时波可比炸弹",
		["skill_name"] = "BombSkill",
		["item_rank"] = 0,
		["res_key"] = "images/item/item_1_1.png",
		["description"] = "限时一天，在棋盘内\n任一位置制造出爆炸效果",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
		["is_limited_time"] = true,
	},
	[18] = {
		["item_id"] = "item_503",
		["item_name"] = "限时百变糖果",
		["skill_name"] = "CandySkill",
		["item_rank"] = 0,
		["res_key"] = "images/item/item_3_1.png",
		["description"] = "限时一天，将棋盘内\n任意一个糖果变成百变糖果",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
		["is_limited_time"] = true,
	},
	[19] = {
		["item_id"] = "item_504",
		["item_name"] = "限时彩虹桥",
		["skill_name"] = "LineSkill",
		["item_rank"] = 0,
		["res_key"] = "images/item/item_2_1.png",
		["description"] = "限时一天，可无视距离、\n方向和数量连接同色糖果",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
		["is_limited_time"] = true,
	},
	[20] = {
		["item_id"] = "item_104",
		["item_name"] = "无限体力",
		--["skill_name"] = "LineSkill",
		["item_rank"] = 0,
		["res_key"] = "images/shop/energy_4.png",
		["description"] = "无限体力",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
		["is_limited_time"] = false,
	},
	[21] = {
		["item_id"] = "item_033",
		["item_name"] = "3钻石",
		--["skill_name"] = "LineSkill",
		["item_rank"] = 0,
		["res_key"] = "images/shop/jewel_3.png",
		["description"] = "3钻石",
		["is_show"] = true,
		["can_use"] = false,
		["add_item"]  = {},
		["is_limited_time"] = false,
	},
}

return bag_info_vector