local daily_task_info_vector = {
	[1] = {
		["task_id"] = "task_01",
		["task_content"] = "完成5个每日任务",
		["target_num"] = 5,
		["reward_info"] = {
			[1] = {
					["odds"] = 0.15,
					["item_id"] = "item_02",
					["item_num"] = 2333,
				},
			[2] = {
					["odds"] = 0.4,
					["item_id"] = "item_02",
					["item_num"] = 3666,
				},
			[3] = {
					["odds"] = 0.15,
					["item_id"] = "item_02",
					["item_num"] = 5888,
				},
			[4] = {
					["odds"] = 0.06,
					["item_id"] = "item_03",
					["item_num"] = 20,
				},
			[5] = {
					["odds"] = 0.06,
					["item_id"] = "item_102",
					["item_num"] = 2,
				},
			[6] = {
					["odds"] = 0.06,
					["item_id"] = "item_301",
					["item_num"] = 1,
				},
			[7] = {
					["odds"] = 0.06,
					["item_id"] = "item_201",
					["item_num"] = 2,
				},
			[8] = {
					["odds"] = 0.06,
					["item_id"] = "item_202",
					["item_num"] = 2,
				},
		},
	},
	[2] = {
		["task_id"] = "task_02",
		["task_content"] = "普通关卡通关%d次",
		["target_num"] = 3,
		["reward_info"] = {
			["item_id"] = "item_102",
			["item_num"] = 1,
		},
	},
	[3] = {
		["task_id"] = "task_03",
		["task_content"] = "收集%d个%s糖果",
		["target_num"] = 300,
		["target_type_info"] = {
			[1] = {
				["target_type"] = "red",
				["odds"] = 0.2,
				["name"] = "红色",
			},
			[2] = {
				["target_type"] = "green",
				["odds"] = 0.2,
				["name"] = "绿色",
			},
			[3] = {
				["target_type"] = "blue",
				["odds"] = 0.2,
				["name"] = "蓝色",
			},
			[4] = {
				["target_type"] = "yellow",
				["odds"] = 0.2,
				["name"] = "黄色",
			},
			[5] = {
				["target_type"] = "pink",
				["odds"] = 0.2,
				["name"] = "粉色",
			},
		},
		["reward_info"] = {
			["item_id"] = "item_02",
			["item_num"] = 1500,
		},
	},
	[4] = {
		["task_id"] = "task_04",
		["task_content"] = "连线生成%d个%s特效",
		["target_num"] = 15,
		["target_type_info"] = {
			[1] = {
				["target_type"] = "bomb",
				["odds"] = 0.4,
				["name"] = "炸弹",
			},
			[2] = {
				["target_type"] = "ten",
				["odds"] = 0.4,
				["name"] = "十字",
			},
			[3] = {
				["target_type"] = "lightning",
				["odds"] = 0.2,
				["name"] = "闪电",
			},
		},
		["reward_info"] = {
			["item_id"] = "item_501",
			["item_num"] = 1,
		},
	},
	[5] = {
		["task_id"] = "task_05",
		["task_content"] = "转%d次幸运大转盘",
		["target_num"] = 3,
		["reward_info"] = {
			["item_id"] = "item_03",
			["item_num"] = 25,
		},
	},
	[6] = {
		["task_id"] = "task_06",
		["task_content"] = "使用%d个游戏内道具",
		["target_num"] = 2,
		["reward_info"] = {
			["item_id"] = "item_502",
			["item_num"] = 1,
		},
	},	
	[7] = {
		["task_id"] = "task_07",
		["task_content"] = "挑战%d次周赛",
		["target_num"] = 1,
		["reward_info"] = {
			["item_id"] = "item_201",
			["item_num"] = 1,
		},
	},
	[8] = {
		["task_id"] = "task_08",
		["task_content"] = "分享%d次到朋友圈",
		["target_num"] = 1,
		["reward_info"] = {
			["item_id"] = "item_102",
			["item_num"] = 1,
		},
	},
	[9] = {
		["task_id"] = "task_09",
		["task_content"] = "赠送%d次体力",
		["target_num"] = 5,
		["reward_info"] = {
			["item_id"] = "item_101",
			["item_num"] = 5,
		},
	},	
	[10] = {
		["task_id"] = "task_10",
		["task_content"] = "添加%d个好友",
		["target_num"] = 10,
		["reward_info"] = {
			["item_id"] = "item_02",
			["item_num"] = 1500,
		},
	},
	[11] = {
		["task_id"] = "task_11",
		["task_content"] = "给任意角色升级%d次",
		["target_num"] = 1,
		["reward_info"] = {
			["item_id"] = "item_02",
			["item_num"] = 1500,
		},
	},
	[12] = {
		["task_id"] = "task_12",
		["task_content"] = "使用%s完成一次普通关卡",
		["target_num"] = 1,
		["target_type_info"] = {
			[1] = {
				["target_type"] = "role_101",
				["odds"] = 0.1,
				["name"] = "小新",
			},
			[2] = {
				["target_type"] = "role_201",
				["odds"] = 0.225,
				["name"] = "妮妮",
			},
			[3] = {
				["target_type"] = "role_301",
				["odds"] = 0.225,
				["name"] = "正南",
			},
			[4] = {
				["target_type"] = "role_401",
				["odds"] = 0.225,
				["name"] = "阿呆",
			},
			[5] = {
				["target_type"] = "role_501",
				["odds"] = 0.225,
				["name"] = "风间",
			},
		},
		["reward_info"] = {
			["item_id"] = "item_101",
			["item_num"] = 1,
		},
	},

}
return daily_task_info_vector