-- 玩家的初始数据
local init_player_data = {
	player_gold = 0,                       --初始金币
	player_jewel = 0,                      --初始宝石
	player_power = 15,                        --初始体力
	player_recover_time = 600,                --恢复体力的时间，second
	player_max_power = 15,                    --玩家最大体力值
	player_cur_role_id = "role_101",
	player_cur_skin_id = "skin_101",
	player_head_id = "head_01",
	player_nick_name = "小新",
	player_card_unsee = 0,
	player_addition_max_power = 0,

	--签到
	today_is_sign = false,
	num_sign = 0,
	last_sign_day = 0,

	--转盘
	today_is_wheel = false,
	num_wheel = 0,
	last_wheel_day = 0,
	num_view = 0,
	last_view_time = 0,
	
	is_buy_fish_gift = true,
	is_buy_springsale = false,
	is_buy_limit_gift = false,
	last_daily_task_day = 0,

	is_create_lucky_gift = false,
	springsale_start_time = 1488297600,
	continue_pass_stage = 0,

	--幸运礼包
	last_luckygift_day = 0,
	num_luckygift_buy = 3,
	num_luckygift_again = 5,

	boss_blood_state_rate_1 = 100,
	boss_blood_state_rate_2 = 50,
	boss_blood_state_rate_3 = 20,

	init_bag_info_vector = {
		[1] = {item_id = "item_501", item_num = 0,},
		[2] = {item_id = "item_502", item_num = 0,},
		[3] = {item_id = "item_503", item_num = 0,},
		[4] = {item_id = "item_504", item_num = 0,},
		[5] = {item_id = "item_101", item_num = 0,},
		[6] = {item_id = "item_102", item_num = 0,},
		[7] = {item_id = "item_103", item_num = 0,},
		[8] = {item_id = "item_201", item_num = 0,},
		[9] = {item_id = "item_202", item_num = 0,},
		[10] = {item_id = "item_203", item_num = 0,},
		[11] = {item_id = "item_301", item_num = 0,},
		[12] = {item_id = "item_302", item_num = 0,},
		[13] = {item_id = "item_303", item_num = 0,},
		[14] = {item_id = "item_304", item_num = 0,},
		[15] = {item_id = "item_305", item_num = 0,},
		
	},

	init_role_info_vector = {
		["role_101"] = {role_level=1, skin_id = "skin_101", is_unlock = true},
		["role_201"] = {role_level=1, skin_id = "skin_201", is_unlock = false},
		["role_301"] = {role_level=1, skin_id = "skin_301", is_unlock = false},
		["role_401"] = {role_level=1, skin_id = "skin_401", is_unlock = false},
		["role_501"] = {role_level=1, skin_id = "skin_501", is_unlock = false},
	},

	init_skin_info_vector = {
		["skin_101"] = {is_unlock = true},
		["skin_102"] = {is_unlock = false},
		["skin_103"] = {is_unlock = false},
		["skin_104"] = {is_unlock = false},
		["skin_105"] = {is_unlock = false},
		["skin_201"] = {is_unlock = false},
		["skin_202"] = {is_unlock = false},
		["skin_203"] = {is_unlock = false},
		["skin_204"] = {is_unlock = false},
		["skin_301"] = {is_unlock = false},
		["skin_302"] = {is_unlock = false},
		["skin_303"] = {is_unlock = false},
		["skin_304"] = {is_unlock = false},
		["skin_401"] = {is_unlock = false},
		["skin_402"] = {is_unlock = false},
		["skin_403"] = {is_unlock = false},
		["skin_404"] = {is_unlock = false},
		["skin_501"] = {is_unlock = false},
		["skin_502"] = {is_unlock = false},
		["skin_503"] = {is_unlock = false},
	},
}

return init_player_data