local skill_info = {
	[1] = {
		["skill_id"] = "skill_01",
		["class_name"] = "ShinSkill",
		["description"] = "\n随机把棋盘内的一个糖\n果变成线形特效糖果",	--技能初始描述
		["skill_name"] = "动感光波",
		["res_key"] = "images/id/id_01.png",
		["trigger_condition"] = {58, 55, 55, 52, 52},
		["change_num"] = {1, 1, 1, 1, 2},
		["up_level"] = {0, 5, 10, 15, 20},
		["skill_lv_des"] = {
			"减少5%技能的冷却",
			"特效将变为十字特效",
			"减少10%技能的冷却",
			"生成2个特效，效果为十字或\n线形特效",
		},
	},
	[2] = {
		["skill_id"] = "skill_02",
		["class_name"] = "NiNiSkill",
		["description"] = "\n随机消除棋盘内的2个\n障碍",
		["skill_name"] = "暴力人格",
		["res_key"] = "images/id/id_06.png",
		["trigger_condition"] = {55, 52, 52, 47, 47},
		["change_num"] = {2, 2, 3, 3, 4},
		["up_level"] = {0, 5, 10, 15, 20},
		["skill_lv_des"] = {
			"减少5%技能的冷却",
			"每次消除障碍数量变为3个",
			"减少15%技能的冷却",
			"每次消除障碍数量变为4个",
		},
	},
	[3] = {
		["skill_id"] = "skill_03",
		["class_name"] = "ZhengNanSkill",
		["description"] = "\n随机把棋盘内的一个糖\n果变成炸弹特效",
		["skill_name"] = "御饭团炸弹",
		["res_key"] = "images/id/id_09.png",
		["trigger_condition"] = {58, 55, 52, 50, 47},
		["change_num"] = {1, 1, 1, 2, 2},
		["up_level"] = {0, 5, 10, 15, 20},
		["skill_lv_des"] = {
			"减少5%技能的冷却",
			"概率出现两个炸弹",
			"减少15%技能的冷却",
			"必定出现两个炸弹",
		},
	},
	[4] = {
		["skill_id"] = "skill_04",
		["class_name"] = "AhDaiSkill",
		["description"] = "\n步数额外增加两步",
		["skill_name"] = " 坚持不懈",
		["res_key"] = "images/id/id_12.png",
		["trigger_condition"] = {65, 62, 59, 59, 53},
		["change_num"] = {2, 2, 2, 3, 3},
		["up_level"] = {0, 5, 10, 15, 20},
		["skill_lv_des"] = {
			"减少5%技能的冷却",
			"减少10%技能的冷却",
			"步数增加变为3步",
			"减少20%技能的冷却",
		},
	},
	[5] = {
		["skill_id"] = "skill_05",
		["class_name"] = "FengJianSkill",
		["description"] = "\n随机把棋盘内的3个\n糖果变成百变糖果",
		["skill_name"] = "糖果变变变",
		["res_key"] = "images/id/id_15.png",
		["trigger_condition"] = {60, 57, 57, 54, 54},
		["change_num"] = {3, 3, 4, 4, 5},
		["up_level"] = {0, 5, 10, 15, 20},
		["skill_lv_des"] = {
			"减少5%技能的冷却",
			"百变糖果数量增加为4个",
			"减少10%技能的冷却",
			"百变糖果数量增加为5个",
		},
	},
}
return skill_info