local skin_info = {
	[1] = {
		["skin_id"] = "skin_101",
		["res_key"] = "images/skin/shin/shin_100.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 100,
		["init_score_add"] = 0.1,
		["init_gold_add"] = 0.1,
		["skill_id"] = "skill_01",
		["unlock_condition"] = {"",},
	},
	[2] = {
		["skin_id"] = "skin_102",
		["res_key"] = "images/skin/shin/shin_101.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 110,
		["init_score_add"] = 0.11,
		["init_gold_add"] = 0.11,
		["skill_id"] = "skill_01",
		["unlock_condition"] = {"book_001","book_002","book_006",},

	},
	[3] = {
		["skin_id"] = "skin_103",
		["res_key"] = "images/skin/shin/shin_102.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 120,
		["init_score_add"] = 0.12,
		["init_gold_add"] = 0.12,
		["skill_id"] = "skill_01",
		["unlock_condition"] = {"book_003","book_007","book_008",},
	},
	[4] = {
		["skin_id"] = "skin_104",
		["res_key"] = "images/skin/shin/shin_103.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 140,
		["init_score_add"] = 0.13,
		["init_gold_add"] = 0.13,
		["skill_id"] = "skill_01",
		["unlock_condition"] = {"book_004","book_010","book_014",},
	},
	[5] = {
		["skin_id"] = "skin_105",
		["res_key"] = "images/skin/shin/shin_104.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 160,
		["init_score_add"] = 0.14,
		["init_gold_add"] = 0.14,
		["skill_id"] = "skill_01",
		["unlock_condition"] = {"book_005","book_011","book_013",},
	},
	[6] = {
		["skin_id"] = "skin_201",
		["res_key"] = "images/skin/nene/nene_100.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 205,
		["init_score_add"] = 0.16,
		["init_gold_add"] = 0.14,
		["skill_id"] = "skill_02",
		["unlock_condition"] = {"book_016","book_017","book_019",},
	},
	[7] = {
		["skin_id"] = "skin_202",
		["res_key"] = "images/skin/nene/nene_101.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 210,
		["init_score_add"] = 0.17,
		["init_gold_add"] = 0.15,
		["skill_id"] = "skill_02",
		["unlock_condition"] = {"book_018","book_020","book_022",},
	},
	[8] = {
		["skin_id"] = "skin_203",
		["res_key"] = "images/skin/nene/nene_102.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 215,
		["init_score_add"] = 0.18,
		["init_gold_add"] = 0.16,
		["skill_id"] = "skill_02",
		["unlock_condition"] = {"book_009","book_021","book_023",},
	},
	[9] = {
		["skin_id"] = "skin_204",
		["res_key"] = "images/skin/nene/nene_103.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 225,
		["init_score_add"] = 0.19,
		["init_gold_add"] = 0.17,
		["skill_id"] = "skill_02",
		["unlock_condition"] = {"book_012","book_015","book_024",},
	},
	[10] = {
		["skin_id"] = "skin_301",
		["res_key"] = "images/skin/masao/masao_100.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 200,
		["init_score_add"] = 0.15,
		["init_gold_add"] = 0.16,
		["skill_id"] = "skill_03",
		["unlock_condition"] = {"book_025","book_026","book_028",},
	},
	[11] = {
		["skin_id"] = "skin_302",
		["res_key"] = "images/skin/masao/masao_101.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 210,
		["init_score_add"] = 0.16,
		["init_gold_add"] = 0.17,
		["skill_id"] = "skill_03",
		["unlock_condition"] = {"book_027","book_029","book_031",},
	},
	[12] = {
		["skin_id"] = "skin_303",
		["res_key"] = "images/skin/masao/masao_102.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 220,
		["init_score_add"] = 0.17,
		["init_gold_add"] = 0.18,
		["skill_id"] = "skill_03",
		["unlock_condition"] = {"book_030","book_032","book_033",},
	},
	[13] = {
		["skin_id"] = "skin_304",
		["res_key"] = "images/skin/masao/masao_103.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 240,
		["init_score_add"] = 0.18,
		["init_gold_add"] = 0.19,
		["skill_id"] = "skill_03",
		["unlock_condition"] = {"book_049","book_050","book_051",},
	},
	[14] = {
		["skin_id"] = "skin_401",
		["res_key"] = "images/skin/bo/bo_100.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 210,
		["init_score_add"] = 0.16,
		["init_gold_add"] = 0.15,
		["skill_id"] = "skill_04",
		["unlock_condition"] = {"book_034","book_035","book_037",},
	},
	[15] = {
		["skin_id"] = "skin_402",
		["res_key"] = "images/skin/bo/bo_101.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 220,
		["init_score_add"] = 0.17,
		["init_gold_add"] = 0.16,
		["skill_id"] = "skill_04",
		["unlock_condition"] = {"book_036","book_038","book_039",},
	},
	[16] = {
		["skin_id"] = "skin_403",
		["res_key"] = "images/skin/bo/bo_102.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 230,
		["init_score_add"] = 0.18,
		["init_gold_add"] = 0.17,
		["skill_id"] = "skill_04",
		["unlock_condition"] = {"book_040","book_047","book_048",},
	},
	[17] = {
		["skin_id"] = "skin_404",
		["res_key"] = "images/skin/bo/bo_103.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 220,
		["init_score_add"] = 0.19,
		["init_gold_add"] = 0.18,
		["skill_id"] = "skill_04",
		["unlock_condition"] = {"book_052","book_053","book_054",},
	},
	[18] = {
		["skin_id"] = "skin_501",
		["res_key"] = "images/skin/kazama/kazama_100.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 210,
		["init_score_add"] = 0.17,
		["init_gold_add"] = 0.16,
		["skill_id"] = "skill_05",
		["unlock_condition"] = {"book_041","book_043","book_045",},
	},
	[19] = {
		["skin_id"] = "skin_502",
		["res_key"] = "images/skin/kazama/kazama_101.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 220,
		["init_score_add"] = 0.18,
		["init_gold_add"] = 0.17,
		["skill_id"] = "skill_05",
		["unlock_condition"] = {"book_044","book_046","book_042",},
	},
	[20] = {
		["skin_id"] = "skin_503",
		["res_key"] = "images/skin/kazama/kazama_102.png",
		["spine_json"] = "",
		["spine_atlas"] = "",
		["init_atk"] = 230,
		["init_score_add"] = 0.19,
		["init_gold_add"] = 0.18,
		["skill_id"] = "skill_05",
		["unlock_condition"] = {"book_056","book_057","book_058",},
	},
}


return skin_info