local Queue = class("Queue")

function Queue:ctor(...)

	self.list = ListPool:create()

end

function Queue:size()

	return self.list:size()

end

function Queue:inQueue(element)

	self.list:pushBack(element)

end

function Queue:deQueue()

	local front = self.list:front()

	self.list:popFront()

	return front

end

function Queue:clear()

	self.list:clear()

end

return Queue