return {
  version = "1.1",
  luaversion = "5.1",
  tiledversion = "0.16.0",
  orientation = "orthogonal",
  renderorder = "right-down",
  width = 8,
  height = 20,
  tilewidth = 124,
  tileheight = 124,
  nextobjectid = 187,
  properties = {
    ["con_move"] = 23,
    ["has_boss"] = false,
    ["key_wave"] = "4",
    ["req_1_amount"] = 1,
    ["req_1_type"] = "key",
    ["req_2_amount"] = 6,
    ["req_2_type"] = "panda",
    ["req_3_amount"] = 20,
    ["req_3_type"] = "blue",
    ["req_4_amount"] = 20,
    ["req_4_type"] = "yellow",
    ["req_number"] = 1,
    ["score_wave"] = "200, 300, 400",
    ["sugar_volume"] = 75
  },
  tilesets = {
    {
      name = "TopEmitter",
      firstgid = 1,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/changjing/8H`@Z6)QSFAU9Z(1%MTB$I4.jpg",
      imagewidth = 500,
      imageheight = 499,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["emit_interval"] = "0.1"
      },
      terrains = {},
      tilecount = 16,
      tiles = {
        {
          id = 0,
          properties = {
            ["prob_blue"] = 1,
            ["prob_green"] = 1,
            ["prob_pink"] = 0,
            ["prob_red"] = 1,
            ["prob_white"] = 0,
            ["prob_yellow"] = 1
          }
        }
      }
    },
    {
      name = "KeyEmitter",
      firstgid = 17,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/changjing/a4ca42d94d3b50cedb4e934e7acdbd16a952e71b1cb90-LVGLPg_fw658.jpg",
      imagewidth = 658,
      imageheight = 494,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {},
      terrains = {},
      tilecount = 15,
      tiles = {}
    },
    {
      name = "FanSugar",
      firstgid = 32,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/changjing/6b6f428bb6f4f0b22b7cd33e55e31893f821ee08119e6-mz824w_fw658.jpg",
      imagewidth = 658,
      imageheight = 494,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["radius"] = "65",
        ["select_radius"] = 90
      },
      terrains = {},
      tilecount = 15,
      tiles = {
        {
          id = 0,
          properties = {
            ["volume"] = 4
          }
        },
        {
          id = 1,
          properties = {
            ["volume"] = 5
          }
        },
        {
          id = 2,
          properties = {
            ["volume"] = "6"
          }
        }
      }
    },
    {
      name = "NormalSugar",
      firstgid = 47,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/changjing/cocos2d-x-binding-c++-class.png",
      imagewidth = 658,
      imageheight = 494,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["actived"] = true,
        ["color"] = "yellow",
        ["fenced"] = false,
        ["prob_blue"] = 1,
        ["prob_green"] = 1,
        ["prob_pink"] = 0,
        ["prob_red"] = 1,
        ["prob_white"] = 0,
        ["prob_yellow"] = 1,
        ["radius"] = 62
      },
      terrains = {},
      tilecount = 15,
      tiles = {
        {
          id = 0,
          properties = {
            ["color"] = "random",
            ["fenced"] = true,
            ["prob_blue"] = 1,
            ["prob_green"] = 1,
            ["prob_pink"] = 1,
            ["prob_red"] = 0,
            ["prob_yellow"] = 1
          }
        }
      }
    },
    {
      name = "IceSugar",
      firstgid = 62,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/changjing/61ac1429075882edbb41b487e3e428d707f205b62f93b-7uVbD2_fw658.jpg",
      imagewidth = 600,
      imageheight = 675,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["height"] = 124,
        ["layers"] = 3,
        ["select_radius"] = 70,
        ["width"] = 124
      },
      terrains = {},
      tilecount = 20,
      tiles = {
        {
          id = 0,
          properties = {
            ["layers"] = 1
          }
        },
        {
          id = 1,
          properties = {
            ["layers"] = 2
          }
        },
        {
          id = 2,
          properties = {
            ["layers"] = 3
          }
        }
      }
    },
    {
      name = "ChocolateSugar",
      firstgid = 82,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/changjing/aaddc5ff0cb8dc4040bffda87dafba7887ada5c34e944-LsnGEv_fw658.jpg",
      imagewidth = 658,
      imageheight = 494,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {},
      terrains = {},
      tilecount = 15,
      tiles = {}
    },
    {
      name = "BombSugar",
      firstgid = 97,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/小怪物/tokaido_by_naiiade-d5j83tl.jpg",
      imagewidth = 1275,
      imageheight = 627,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["actived"] = true
      },
      terrains = {},
      tilecount = 50,
      tiles = {}
    },
    {
      name = "CrossSugar",
      firstgid = 147,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/小怪物/1b00972eaa8eff4eef5585c8d96db1a216344cce14ef7-0fiJlZ_fw658.png",
      imagewidth = 600,
      imageheight = 329,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["actived"] = true
      },
      terrains = {},
      tilecount = 8,
      tiles = {}
    },
    {
      name = "LightningSugar",
      firstgid = 155,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/小怪物/555028814b12bb710ee6e319ae61e8d787d8028013420-UdoCVj_fw658.jpg",
      imagewidth = 658,
      imageheight = 494,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["actived"] = true
      },
      terrains = {},
      tilecount = 15,
      tiles = {}
    },
    {
      name = "FenceSugar",
      firstgid = 170,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/小怪物/475272852083231673.jpg",
      imagewidth = 1200,
      imageheight = 1053,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {},
      terrains = {},
      tilecount = 72,
      tiles = {
        {
          id = 1,
          properties = {
            ["hostage_color"] = "random",
            ["hostage_type"] = "KeySugar"
          }
        },
        {
          id = 2,
          properties = {
            ["hostage_color"] = "random",
            ["hostage_type"] = "NormalSugar"
          }
        },
        {
          id = 3,
          properties = {
            ["hostage_color"] = "random",
            ["hostage_type"] = "PandaSugar"
          }
        },
        {
          id = 9,
          properties = {
            ["hostage_color"] = "red",
            ["hostage_type"] = "NormalSugar"
          }
        },
        {
          id = 10,
          properties = {
            ["hostage_color"] = "blue",
            ["hostage_type"] = "NormalSugar"
          }
        },
        {
          id = 11,
          properties = {
            ["hostage_color"] = "yellow",
            ["hostage_type"] = "NormalSugar"
          }
        },
        {
          id = 12,
          properties = {
            ["hostage_color"] = "green",
            ["hostage_type"] = "NormalSugar"
          }
        },
        {
          id = 13,
          properties = {
            ["hostage_color"] = "pink",
            ["hostage_type"] = "NormalSugar"
          }
        }
      }
    },
    {
      name = "MoveableIceSugar",
      firstgid = 242,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/小怪物/step_by_step_by_naiiade-d5lpzms.jpg",
      imagewidth = 900,
      imageheight = 735,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["dynamic"] = true,
        ["radius"] = 64,
        ["select_radius"] = 70
      },
      terrains = {},
      tilecount = 35,
      tiles = {}
    },
    {
      name = "PandaSugar",
      firstgid = 277,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/小怪物/tokaido_souvenir_by_naiiade-d5lcirl.jpg",
      imagewidth = 799,
      imageheight = 1000,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["radius"] = 64
      },
      terrains = {},
      tilecount = 48,
      tiles = {}
    },
    {
      name = "RandomSugar",
      firstgid = 325,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/changjing/a4ca42d94d3b50cedb4e934e7acdbd16a952e71b1cb90-LVGLPg_fw658.jpg",
      imagewidth = 658,
      imageheight = 494,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["color"] = "random",
        ["prob_blue"] = 3,
        ["prob_green"] = 3,
        ["prob_pink"] = 0,
        ["prob_red"] = 0,
        ["prob_white"] = 0,
        ["prob_yellow"] = 0
      },
      terrains = {},
      tilecount = 15,
      tiles = {
        {
          id = 0,
          properties = {
            ["radius"] = 64,
            ["random_number"] = 2,
            ["random_prob_1"] = 40,
            ["random_prob_2"] = 60,
            ["random_type_1"] = "NormalSugar",
            ["random_type_2"] = "BombSugar",
            ["type_1_prop_1_name"] = "color",
            ["type_1_prop_1_value"] = "red",
            ["type_1_prop_number"] = 1,
            ["type_2_prop_number"] = 0
          }
        }
      }
    },
    {
      name = "TimingBombSugar",
      firstgid = 340,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/changjing/61e589dce9b53bfc5a4cfac3f4becfe263a71c69a53c-B3qxmW_fw658.jpg",
      imagewidth = 550,
      imageheight = 344,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["color"] = "random",
        ["count_down"] = 30,
        ["prob_blue"] = 1,
        ["prob_green"] = 1,
        ["prob_pink"] = 1,
        ["prob_red"] = 1,
        ["prob_white"] = 0,
        ["prob_yellow"] = 1,
        ["radius"] = 64
      },
      terrains = {},
      tilecount = 8,
      tiles = {
        {
          id = 0,
          properties = {
            ["color"] = "red",
            ["count_down"] = "25"
          }
        },
        {
          id = 1,
          properties = {
            ["color"] = "blue",
            ["count_down"] = 25
          }
        },
        {
          id = 2,
          properties = {
            ["color"] = "yellow",
            ["count_down"] = 25
          }
        },
        {
          id = 3,
          properties = {
            ["color"] = "green",
            ["count_down"] = 25
          }
        },
        {
          id = 4,
          properties = {
            ["color"] = "pink",
            ["count_down"] = 25
          }
        }
      }
    },
    {
      name = "LinkSugar",
      firstgid = 348,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/小怪物/555028814b12bb710ee6e319ae61e8d787d8028013420-UdoCVj_fw658.jpg",
      imagewidth = 658,
      imageheight = 494,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {
        ["actived"] = true,
        ["cross_distance"] = 20,
        ["link_distance"] = 20
      },
      terrains = {},
      tilecount = 15,
      tiles = {}
    },
    {
      name = "KeySugar",
      firstgid = 363,
      tilewidth = 124,
      tileheight = 124,
      spacing = 0,
      margin = 0,
      image = "../../../../../../../../Desktop/小怪物/756cb929cd4532621ea9cf4ef8f4fafbce62ae6933928-swcqf9_fw658.png",
      imagewidth = 600,
      imageheight = 298,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {},
      terrains = {},
      tilecount = 8,
      tiles = {}
    }
  },
  layers = {
    {
      type = "tilelayer",
      name = "Sugars",
      x = 0,
      y = 0,
      width = 8,
      height = 20,
      visible = true,
      opacity = 1,
      offsetx = 0,
      offsety = 0,
      properties = {},
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 1, 1, 1, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0,
        363, 82, 0, 0, 0, 0, 0, 0,
        82, 82, 82, 0, 0, 0, 0, 0,
        82, 82, 82, 82, 82, 0, 0, 0,
        82, 82, 82, 82, 82, 82, 82, 82,
        82, 82, 82, 82, 82, 82, 82, 82,
        82, 82, 82, 82, 82, 82, 82, 82,
        82, 82, 82, 82, 82, 82, 82, 82,
        82, 82, 82, 82, 82, 82, 82, 82,
        82, 82, 82, 82, 82, 82, 82, 82,
        0, 0, 82, 82, 82, 82, 0, 0
      }
    },
    {
      type = "imagelayer",
      name = "background",
      visible = true,
      opacity = 1,
      offsetx = -20,
      offsety = 1212,
      image = "../../../../../../../../Desktop/game_area_dia_0.png",
      properties = {}
    },
    {
      type = "objectgroup",
      name = "FrameSugar",
      visible = true,
      opacity = 1,
      offsetx = 0,
      offsety = 0,
      properties = {},
      objects = {
        {
          id = 1,
          name = "",
          type = "",
          shape = "polyline",
          x = 0,
          y = 2322.67,
          width = 0,
          height = 0,
          rotation = 0,
          visible = true,
          polyline = {
            { x = -1.33333, y = 32 },
            { x = 0.666667, y = 32.6667 },
            { x = 62.6667, y = 66.6667 },
            { x = 122.667, y = 92 },
            { x = 186.667, y = 114.667 },
            { x = 249.333, y = 132 },
            { x = 312, y = 145.333 },
            { x = 369.333, y = 153.333 },
            { x = 434.667, y = 158.667 },
            { x = 498.667, y = 158.667 },
            { x = 560, y = 158.667 },
            { x = 618.667, y = 153.333 },
            { x = 685.333, y = 145.333 },
            { x = 742.667, y = 133.333 },
            { x = 810.667, y = 114.667 },
            { x = 868, y = 94.6667 },
            { x = 937.333, y = 64 },
            { x = 993.333, y = 32 },
            { x = 996, y = 30.6667 }
          },
          properties = {
            ["category"] = "bottom",
            ["dynamic"] = 0
          }
        },
        {
          id = 3,
          name = "",
          type = "",
          shape = "polyline",
          x = 4,
          y = 2356,
          width = 0,
          height = 0,
          rotation = 0,
          visible = true,
          polyline = {
            { x = -4, y = -2.66667 },
            { x = -8, y = -2356 }
          },
          properties = {
            ["category"] = "side",
            ["dynamic"] = false
          }
        },
        {
          id = 5,
          name = "",
          type = "",
          shape = "polyline",
          x = 1000,
          y = 2356,
          width = 0,
          height = 0,
          rotation = 0,
          visible = true,
          polyline = {
            { x = -5.33333, y = -4 },
            { x = -5.33333, y = -2356 }
          },
          properties = {
            ["category"] = "side",
            ["dynamic"] = false
          }
        }
      }
    },
    {
      type = "objectgroup",
      name = "BarrierSugar",
      visible = true,
      opacity = 1,
      offsetx = 0,
      offsety = 0,
      properties = {},
      objects = {
        {
          id = 111,
          name = "",
          type = "",
          shape = "rectangle",
          x = -1483.64,
          y = 870,
          width = 240,
          height = 60,
          rotation = 0,
          visible = true,
          properties = {
            ["dynamic"] = false,
            ["texture"] = "barrier_60"
          }
        }
      }
    }
  }
}
