local span_config = {

	-- 第一阶段
	{
		-- 持续回合
		["duration"] = 5, -- 持续有限回合
		-- 普通掉落配置
		["normal"] = {

			["normal_prob"] = 92, -- 普通掉落概率

			["normal_config"] = {
				["prob_red"] = 1,  -- 颜色概率
				["prob_green"] = 1,
				["prob_blue"] = 1.2,
				["prob_yellow"] = 1.2,
				["prob_pink"] = 0,
				["prob_white"] = 0,
			},

		},
		-- 特殊掉落配置
		["special"] = {

			["special_prob"] = 8, -- 特殊掉落概率
			
			["special_number_config"] = {

				{
					["threshold"] = 3,
					["max_number"] = 0,
				},

				{
					["threshold"] = "INFINITY",
					["max_number"] = 1,-- 掉落个数上限
				},

			}, 
			["special_config"] = {
				-- 掉落项配置
				{
					["type"] = "RandomSugar", -- 掉落类型
					["prob"] = 4, -- 类型掉落概率
					["config_index"] = 0 -- 配置参数下标
				},

				{
					["type"] = "TimingBombSugar", -- 掉落类型
					["prob"] = 10, -- 类型掉落概率
					["config_index"] = 1 -- 配置参数下标
				},

				{
					["type"] = "PandaSugar", -- 掉落类型
					["prob"] = 1, -- 类型掉落概率
					["config_index"] = 0 -- 配置参数下标
				},
			},

		},

	},


	-- 第二阶段
	{
		-- 持续回合
		["duration"] = "INFINITY", -- 持续有限回合
		-- 普通掉落配置
		["normal"] = {

			["normal_prob"] = 88, -- 普通掉落概率

			["normal_config"] = {
				["prob_red"] = 1,  -- 颜色概率
				["prob_green"] = 1,
				["prob_blue"] = 1.2,
				["prob_yellow"] = 1.2,
				["prob_pink"] = 0,
				["prob_white"] = 0,
			},

		},
		-- 特殊掉落配置
		["special"] = {

			["special_prob"] = 12, -- 特殊掉落概率
			
			["special_number_config"] = {

				{
					["threshold"] = 3,
					["max_number"] = 0,
				},

				{
					["threshold"] = 8,
					["max_number"] = 1,-- 掉落个数上限
				},

				{
					["threshold"] = "INFINITY",
					["max_number"] = 2,-- 掉落个数上限
				},
			}, 
			["special_config"] = {
				-- 掉落项配置
				{
					["type"] = "RandomSugar", -- 掉落类型
					["prob"] = 3, -- 类型掉落概率
					["config_index"] = 0 -- 配置参数下标
				},

				{
					["type"] = "TimingBombSugar", -- 掉落类型
					["prob"] = 6, -- 类型掉落概率
					["config_index"] = 1 -- 配置参数下标
				},

				{
					["type"] = "PandaSugar", -- 掉落类型
					["prob"] = 1, -- 类型掉落概率
					["config_index"] = 0 -- 配置参数下标
				},
			},

		},

	},


}

return span_config