local spines = {
	normal_sugar_spine = {"res/spine/game/touch", 100},
	transform_sugar_spine = {"res/spine/game/barrier_114", 20},
	cross_effect_spine = {"res/spine/game/ten", 50},
	ice_sugar_spine = {"res/spine/game/barrier_101", 20},
	key_sugar_spine = {"res/spine/game/barrier_104", 10},
	fence_sugar_spine = {"res/spine/game/barrier_103", 30},
	create_special_spine_2 = {"res/spine/game/create", 10},
	total_remove_spine = {"res/spine/game/powerful", 1},
	boss_1 = {"res/spine/game/boss_1", 1},
	boss_2 = {"res/spine/game/boss_3", 1},
	boss_3 = {"res/spine/game/boss_4", 1},
	boss_4 = {"res/spine/game/boss_2", 1},
	boss_5 = {"res/spine/game/boss_5", 1},
	boss_6 = {"res/spine/game/boss_6", 1},
	boss_7 = {"res/spine/game/boss_7", 1},
	link_line_spine = {"res/spine/game/line", 50},
	fan_sugar_spine = {"res/spine/game/barrier_105", 100},
	chocolate_sugar_spine = {"res/spine/game/barrier_102", 20},
	timing_bomb_sugar_spine = {"res/spine/game/barrier_108", 20},
	timing_bomb_number_spine = {"res/spine/game/number", 50},
	moveable_ice_sugar_spine = {"res/spine/game/barrier_107", 20},
	panda_sugar_spine = {"res/spine/game/barrier_109", 10},
	random_sugar_spine = {"res/spine/game/barrier_106", 10},
	gift_sugar_spine = {"res/spine/game/barrier_112", 10},
	coco_sugar_spine = {"res/spine/game/coco", 10},
	soil_sugar_spine = {"res/spine/game/barrier_111", 10},
	add_move_sugar_spine = {"res/spine/game/barrier_113", 10},
	boss_hurt_spine = {"res/spine/game/hurt", 20},
	rank_spine = {"res/spine/game/pingjia", 10},
	super_reward = {"res/spine/super_reward", 1},
	success = {"res/spine/success", 1},
	hammer_remove_spine = {"res/spine/game/chuizi", 2},
	link_lightning_spine = {"res/spine/game/connect", 2},
	boss_smoke_spine = {"res/spine/game/smoke", 2},
	conch_skill_spine = {"res/spine/game/conch", 2},
	before_game_effect = {"res/spine/game/zhanqiandaoju", 3},
	before_game_water = {"res/spine/game/weekgame_water", 1},
	tournament_reward = {"res/spine/game/weekgame_reward", 1},

	reward_bag_spine = {"res/spine/game/rewardbag", 1},
}

local sprites = {
	barrier_60 = {"res/images/game/in_game/barrier_60", 10},
	barrier_120 = {"res/images/game/in_game/barrier_120", 10},
	barrier_square_124 = {"res/images/game/in_game/barrier_square_124", 10},
	direction_sprite = {"res/images/game/in_game/direction", 10},
	conch_sprite = {"res/images/game/in_game/conch_1", 10},
	conch_progress_frame = {"res/images/common/barrier_progressbar", 1},
	conch_progress_bar = {"res/images/common/barrier_progress", 1},
	skill_progress_frame = {"res/images/common/conch_progressbar", 1},
	skill_progress_bar = {"res/images/common/conch_progress", 1},
}

local particles = {
	normal_remove_particle_1 = {"res/particle/game/normal_light", 50},
	normal_remove_particle_2 = {"res/particle/game/normal_star", 50},
	normal_remove_particle_3 = {"res/particle/game/normal_white_point", 50},
	bomb_remove_particle_1 = {"res/particle/game/bomb_light", 10},
	bomb_remove_particle_2 = {"res/particle/game/bomb_star", 10},
	bomb_remove_particle_3 = {"res/particle/game/bomb_white_point", 10},
	cross_remove_particle = {"res/particle/game/one_star", 10},	
	lightning_flying_particle = {"res/particle/game/lightning_3", 50},	
	lightning_remove_particle_1 = {"res/particle/game/lightning", 10},	
	lightning_remove_particle_2 = {"res/particle/game/lightning_2", 10},
	ignite_particle_1 = {"res/particle/game/yinran", 10},
	ignite_particle_2 = {"res/particle/game/yinran_2", 10},	
	total_remove_particle = {"res/particle/game/yinran_2", 10},	
	chocolate_remove_particle = {"res/particle/game/qkl_1", 10},
	key_remove_particle = {"res/particle/game/barrier_104", 10},	
	ice_remove_particle = {"res/particle/game/dong", 20},	
	fan_remove_particle = {"res/particle/game/ye", 10},	
	moveable_ice_remove_particle = {"res/particle/game/barrier_107", 20},	
	panda_remove_particle = {"res/particle/game/padan", 10},
	random_remove_particle = {"res/particle/game/smoke", 10},
	boss_attack_particle = {"res/particle/game/attack", 5},	
	bonus_remove_particle = {"res/particle/game/jiangli_1", 20},	
	boss_remove_particle = {"res/particle/game/jiangli_2", 5},	
	hammer_remove_particle_1 = {"res/particle/game/chuizi_1", 2},	
	hammer_remove_particle_2 = {"res/particle/game/chuizi_2", 2},	
	hammer_remove_particle_3 = {"res/particle/game/chuizi_3", 2},	
	skill_flying_particle = {"res/particle/game/flame", 20},	
	skill_ready_particle = {"res/particle/game/daojutishi_1", 2},	
	rank_particle_1 = {"res/particle/game/pingjia_1", 10},	
	rank_particle_2 = {"res/particle/game/pingjia_2", 10},	
	rank_particle_3 = {"res/particle/game/pingjia_3", 10},

	role_action_particle_1 = {"res/particle/change_1", 3},
	role_action_particle_2 = {"res/particle/change_2", 3},
	role_action_particle_3 = {"res/particle/change_3", 3},

	soil_particle_blue = {"res/particle/game/barrier_111_blue", 10},
	soil_particle_yellow = {"res/particle/game/barrier_111_yellow", 10},

	reward_bag_remove_particle = {"res/particle/game/fudai_diamond", 1},
}

local sounds = {

}

local registry = {
	
	spines = spines,
	sprites = sprites,
	particles = particles,
	sounds = sounds,

}

return registry