local configs = {

	------- start ------
	
	["click_book"] = {

		["checkpoint"] = "CHECKPOINT_START",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "BOOK_LAYER_SHOW",
				["voice"] = "VOICE_book",

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/click_book/part_1",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_START",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "三星通关得到的卡片可以在这里查看哦！",
						["role"] = "DIALOG_ROLE_SHIN", --角色在sprite_res_key.lua里找
						["position"] = 300,
						["button"] = true,
					},

					["mask_opacity"] = 0,

				},
			},

			------- finish ------

		},

	},

	------- finish ------

	------- start ------
	
	["click_starreward"] = {

		["checkpoint"] = "CHECKPOINT_START",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "STAR_REWARD_LAYER_SHOW",

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/click_starreward/part_1",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_START",
						["voice"] = "VOICE_starreward",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "当你收集到足够的星星数就可以在这里领取奖励了哦！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 300,
						["button"] = true,
					},

					["mask_opacity"] = 0,

				},
			},

			------- finish ------

		},

	},

	------- finish ------

	------- start ------
	
	["click_setting"] = {

		["checkpoint"] = "CHECKPOINT_START",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "SETTING_LAYER_SHOW",

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/click_setting/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_START",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "换个心仪的头像和名字吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 300,
						["button"] = true,
					},

					["mask_opacity"] = 0,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/click_setting/part_1",

						},
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "欢迎大家加入QQ群跟小伙伴们吐槽哦~",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 300,
						["button"] = true,
					},

					["mask_opacity"] = 0,

				},
			},

			------- finish ------

		},

	},

	------- finish ------
	
	------- start ------
	
	["Guide_Play"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "HOME_SCENE_START",
				["invoke"] = {

					["type"] = "script",
					["path"] = "REDIRECT_TO_LEVEL_1"

				},
			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Guide_Play/part_5",

				},

			},

		},

		["nested"] = {
			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "我是小新，欢迎来到糖果世界哦!",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 900,
						["button"] = true,
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/Guide_Play/part_1"

						},
						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "LINK_MODE_ARBITARY"

						},

					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "手指动一动，试着连接这三颗红色糖果吧!",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",
						["constraint"] = {

							["tutorial"] = "/Guide_Play/part_1"

						},
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这里显示的是我们需要收集的糖果种类和数量呢!",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 900,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_ui_layer/Layer/panel_score/image_bottle",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_ui_layer/Layer/panel_score/panel_candy",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_4"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/Guide_Play/part_3"

						},

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这里显示的是可使用的剩余步数哦!",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 900,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_ui_layer/Layer/image_dia/image_step_dia",
							["hand"] = false,
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_5"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["voice"] = "VOICE_play",
						["invoke"] = {

							-- ["type"] = "script",
							-- ["path"] = "SHOW_REWARD"

						},
						["revoke"] = {                   --章节完成后的复原逻辑
						 	["type"] = "script",
							["path"] = "SHOW_REWARD"
						},
						["constraint"] = {

							["id"] = "/Guide_Play/part_4"

						},

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",
               			
					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "让我们接着收集剩余的糖果吧!",
						["voice"] = "VOICE_play",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 900,
						["button"] = true,
					},


					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},


	},

	------- finish ------

	------- start ------
	["Bomb_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 2,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Bomb_Sugar/part_3",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",
						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "LINK_MODE_ARBITARY"

						},

					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "来!我们尝点新玩意儿！\n试试连接这6颗糖果吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},


						{
							["routine"] = "game_board_frame/game_board/4",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},


						{
							["routine"] = "game_board_frame/game_board/5",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},


						{
							["routine"] = "game_board_frame/game_board/6",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "LINK_GENERATE",

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "REMOVE_START",
						["voice"] = "VOICE_bomb",
					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这是炸弹特效!试试威力吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1400,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/bomb",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},

			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",
						["constraint"] = {

							["tutorial"] = "/Bomb_Sugar/part_2"

						},

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["instruction"] = {
						["image"] = "TUTORIAL_INSTRUCTION_2",
						["position"] = 1000,
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------


		},


	},

	------- finish ------

	------- start ------
	["first_gift"] = {

		["checkpoint"] = "CHECKPOINT_START",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "LEVEL_INFO_SHOW",
				["constraint"] = {

					["level"] = 3,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/first_gift/part_3",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_START",
						["constraint"] = {

							["id"] = "/first_gift",

						},
						["invoke"] = {

							["type"] = "script",
							["path"] = "SHOW_GIFT"

						},

					},

					["exit"] = {

						["name"] = "GIFT_AQUIRED",

					},

				},

			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/first_gift/part_1",

						},
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "现在处于无限体力时间哦！继续闯关，不要停！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1400,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "level_info_layer/top_bar_layer/Layer/node/image_dia/energy",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},

			},

			------- finish ------

		},

	},

	------- finish ------

 	------- start ------
	
	["Cross_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 3,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Cross_Sugar/part_5",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",
						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "LINK_MODE_ARBITARY"

						},

					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这四个糖果构成了一个菱形诶!连接试试看！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 600,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/4",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "LINK_GENERATE",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这是十字特效!威力非同一般呢！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 600,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/cross",
							["hand"] = false,
							["highlight"] = true,					
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/Cross_Sugar/part_2"

						},

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "是不是觉得中间那两颗糖果很碍眼？",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 600,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/5",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/6",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/7",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/8",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/9",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/10",
							["highlight"] = true,			
						},
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_4"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/Cross_Sugar/part_3"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "LINK_MODE_ARBITARY"

						},

					},

					["exit"] = {

						["name"] = "REMOVE_START",
						["voice"] = "VOICE_cross",
					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "点击十字特效试试看！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 600,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/cross",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_5"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",
						["constraint"] = {

							["tutorial"] = "/Cross_Sugar/part_4"

						},

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["instruction"] = {
						["image"] = "TUTORIAL_INSTRUCTION_1",
						["position"] = 1000,
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},


	},

	------- finish ------

	------- start ------
	["Lightning_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 4,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Lightning_Sugar/part_3",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",
						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "LINK_MODE_ARBITARY"

						},

					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "连接6颗糖果会生成炸弹，那8颗会生成什么呢？",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1500,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},


						{
							["routine"] = "game_board_frame/game_board/4",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/5",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/6",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/7",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

												{
							["routine"] = "game_board_frame/game_board/8",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "LINK_GENERATE",
						["voice"] = "VOICE_lightning",
						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "LINK_MODE_ARBITARY"

						},

					},


					["exit"] = {

						["name"] = "REMOVE_START",
						
					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "噔噔噔噔~这就是闪电特效，试试效果如何吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 800,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/lightning",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",
						["constraint"] = {

							["tutorial"] = "/Lightning_Sugar/part_2"

						},

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["instruction"] = {
						["image"] = "TUTORIAL_INSTRUCTION_3",
						["position"] = 1000,
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------- finish ------

	------- start ------
	
	["add_step"] = {

		["checkpoint"] = "CHECKPOINT_START",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "LEVEL_INFO_SHOW",
				["constraint"] = {

					["level"] = 5,

				},
				["invoke"] = {

					["type"] = "script",
					["path"] = "ENABLE_BATTLE_ITEM_FREE"

				},
				["revoke"] = {

					["type"] = "script",							
					["path"] = "DISABLE_BATTLE_ITEM_FREE"

				},
			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/add_step/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_START",

					},

					["exit"] = {

						["name"] = "OUT_GAME_ITEM_SELECTED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "咦~新道具解锁了哦，马上使用看看效果吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1200,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "level_info_layer/Layer/node/image_dia/image_item/item_1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_CLICK",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/add_step/part_1"

						},

					},

					["exit"] = {

						["name"] = "GAME_START_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "既然使用了道具就别浪费了，继续闯关吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1200,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "level_info_layer/Layer/node/image_dia/button_start",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_CLICK",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},


	},

	------- finish ------

	------- start ------
	
	["MoveableIce_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 5,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/MoveableIce_Sugar/part_4",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "哇！这都是我爱吃的巧克力，让我们收集一下吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 600,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/4",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/5",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/6",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/7",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/8",
							["highlight"] = true,			
						},
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/MoveableIce_Sugar/part_1"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "LINK_MODE_ARBITARY"

						},


					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "在巧克力附近连接糖果就可以把它们收集起来了！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 600,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/9",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/10",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/11",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",
						["voice"] = "VOICE_double",
						["constraint"] = {

							["tutorial"] = "/MoveableIce_Sugar/part_2"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "LINK_MODE_ARBITARY"

						},

					},

					["exit"] = {

						["name"] = "REMOVE_START",
					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "一个个收集太慢了！我们来试试特效叠加的效果吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 800,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/bomb",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/cross",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_4"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",
						["constraint"] = {

							["tutorial"] = "/MoveableIce_Sugar/part_3"

						},

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["instruction"] = {
						["image"] = "TUTORIAL_INSTRUCTION_4",
						["position"] = 1000,
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},


	},

	------- finish ------

	------- start ------
	
	["role_skill"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 7,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/role_skill/part_3",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这是角色技能图标，当能量蓄满之后就会自动释放了哦！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_ui_layer/Layer/panel_score/image_skill_dia",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["voice"] = "VOICE_skill",
						["constraint"] = {

							["id"] = "/role_skill/part_1"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "FILL_PLAYER_SKILL"

						},

						["revoke"] = {

							["type"] = "script",							
							["path"] = "CAST_PLAYER_SKILL"

						},
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",
						
					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "我先释放一次给你看看吧！",
						["position"] = 1100,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_ui_layer/Layer/panel_score/image_skill_dia",
							["highlight"] = true,			
						},

					},
					["mask_opacity"] = 200,
				}
			},

			------- finish ------
		},

	},

	------- finish ------

	------- start ------
	
	["item1_unlock"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 8,

				},
				["invoke"] = {

					["type"] = "script",
					["path"] = "START_ITEM_TUTORIAL"

				},
				["revoke"] = {

					["type"] = "script",							
					["path"] = "FINISH_ITEM_TUTORIAL"

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/item1_unlock/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "INGAME_ITEM_SELECT",
						["constraint"] = {

							["id"] = "1",

						},
					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这是锤子道具，可以消除棋盘内任意一个糖果或障碍",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1000,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_ui_layer/Layer/panel_item/button_item_0",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_CLICK",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/item1_unlock/part_1"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "HAMMER_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "HAMMER_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "ITEM_SKILL_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "点这里，把碍地儿的巧克力敲碎！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------


		},


	},

	------- finish ------

	------- start ------
	
	["Ice_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 12,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Ice_Sugar/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "看，这是布丁哦，只要在附近连接糖果就可以收集它们了。",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["highlight"] = true,			
						},
						{
							["routine"] = "game_board_frame/game_board/2",
							["highlight"] = true,			
						},
						{
							["routine"] = "game_board_frame/game_board/3",
							["highlight"] = true,			
						},
						{
							["routine"] = "game_board_frame/game_board/4",
							["highlight"] = true,			
						},
						{
							["routine"] = "game_board_frame/game_board/5",
							["highlight"] = true,			
						},
						{
							["routine"] = "game_board_frame/game_board/6",
							["highlight"] = true,			
						},
						{
							["routine"] = "game_board_frame/game_board/7",
							["highlight"] = true,			
						},
						{
							["routine"] = "game_board_frame/game_board/8",
							["highlight"] = true,			
						},
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/Ice_Sugar/part_1"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "连接这四颗糖果试试看吧！",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/9",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/10",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/11",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/12",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------


		},


	},

	------- finish ------

	------- start ------
	
	["nini_unlock"] = {

		["checkpoint"] = "CHECKPOINT_START",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "ROLE_UNLOCK_SHOW",
				["constraint"] = {

					["id"] = "role_201",

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/nini_unlock/part_5",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_START",
						["constraint"] = {

							["id"] = "/nini_unlock",

						},

					},


					["exit"] = {

						["name"] = "ROLE_UNLOCK_GO_CLICK",
						["invoke"] = {

							["type"] = "script",
							["path"] = "REDIRECT_TO_MAP"

						},

					},
				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "妮妮解锁了，赶紧去看看吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1500,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "get_role_layer/Layer/node/button_role",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_CLICK",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 0,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "SECTION_BOTTOM_SHOW",
					},

					["exit"] = {

						["name"] = "ROLE_INFO_SHOW",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "点击角色按钮查看一下角色信息吧！",
						["position"] = 500,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "section_bottom_layer/Layer/node/button_role",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_CLICK",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/nini_unlock/part_2",

						},
					},

					["exit"] = {

						["name"] = "ROLE_BUTTON_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "点击妮妮的头像，把角色切换成妮妮吧！",
						["position"] = 1500,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "role_info_layer/Layer/node/image_dia/panel_btn_role/button_role_1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_CLICK",
							["highlight"] = true,			
						},
					},	

					["mask_opacity"] = 225,

				},
			},

			------- finish ------

			------- start ------

			["part_4"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["vocie"] = "VOICE_level",
						["constraint"] = {

							["id"] = "/nini_unlock/part_3",

						},
					},

					["exit"] = {

						["name"] = "ROLE_UPGRADE_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "升级可以增加角色的能力呢！",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "role_info_layer/Layer/node/image_dia/panel_role_info/button_upgrade",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_CLICK",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_5"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/nini_unlock/part_4",

						},
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "了解完角色信息，继续闯关吧！",
						["position"] = 1300,
						["button"] = true,
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},


	},

	------- finish ------

	------- start ------
	
	["item2_unlock"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 14,

				},
			["invoke"] = {

					["type"] = "script",
					["path"] = "START_ITEM_TUTORIAL"

				},
				["revoke"] = {

					["type"] = "script",							
					["path"] = "FINISH_ITEM_TUTORIAL"

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/item2_unlock/part_2"

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "INGAME_ITEM_SELECT",
						["constraint"] = {

							["id"] = "2"

						},
					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "波可比炸弹解锁了，赶紧试试效果吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_ui_layer/Layer/panel_item/button_item_1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_CLICK",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/item2_unlock/part_1"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script",							
							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "ITEM_SKILL_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "这些布丁太碍地儿了，炸掉它们吧！",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},


	},

	------- finish ------

	------- start ------
	
	["Fence_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 17,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Fence_Sugar/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "糟糕！糖果被栅栏困住了，要把栅栏消除后才能收集那些糖果呢。",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 600,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/3",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/4",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/Fence_Sugar/part_1"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "把它们连接起来消除栅栏吧！",
						["position"] = 1500,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/4",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},


	},

	------- finish ------

	------- start ------
	
	["item3_unlock"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 18,

				},
				["invoke"] = {

					["type"] = "script",
					["path"] = "START_ITEM_TUTORIAL"

				},
				["revoke"] = {

					["type"] = "script",							
					["path"] = "FINISH_ITEM_TUTORIAL"

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/item3_unlock/part_3",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "INGAME_ITEM_SELECT",
						["constraint"] = {

							["id"] = "3",

						},

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "炫炫的百变糖果解锁了，赶快尝尝鲜！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_ui_layer/Layer/panel_item/button_item_2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_CLICK",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/item3_unlock/part_1"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "CANDY_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "CANDY_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "ITEM_SKILL_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "把这黄色糖果变成百变糖果吧！",
						["position"] = 1500,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "ITEM_SKILL_FINISH",
						["constraint"] = {

							["tutorial"] = "/item3_unlock/part_2"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "看！现在可以连接出十字特效了！",
						["position"] = 1500,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/4",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/colorful",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},


	},

	------- finish ------

	------- start ------
	
	["Key_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 22,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Key_Sugar/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "我想吃蛋糕！可是要让蛋糕掉到棋盘底部才能收集哦。",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/Key_Sugar/part_1"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "赶紧连接这三颗糖果让蛋糕掉下去，我已经忍不住要享受美味的蛋糕了！",
						["position"] = 1000,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/4",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/5",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------
		},

	},

	------- finish ------

	------- start ------
	
	["item4_unlock"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 23,

				},
				["invoke"] = {

					["type"] = "script",
					["path"] = "START_ITEM_TUTORIAL"

				},
				["revoke"] = {

					["type"] = "script",							
					["path"] = "FINISH_ITEM_TUTORIAL"

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/item4_unlock/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "INGAME_ITEM_SELECT",
						["constraint"] = {

							["id"] = "4",

						},
					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "彩虹桥道具解锁了！这可是很好用的道具呀！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_ui_layer/Layer/panel_item/button_item_3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_CLICK",
							["highlight"] = true,				
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/item4_unlock/part_1"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "ITEM_SKILL_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_ROLE_SHIN",
						["text"] = "彩虹桥可以无视距离和障碍连接同色糖果哦，把这散落分布的绿色糖果连起来吧！",
						["position"] = 1400,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/4",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/5",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/6",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/7",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/8",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------
		},

	},

	------- finish ------

	------- start ------
	
	["Cholocate_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 31,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Cholocate_Sugar/part_1",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这些是棉花糖，如果你消耗了步数但没有消除任一棉花糖，它们就会扩散开来哦！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/3",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/4",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/5",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/6",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/7",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/8",
							["highlight"] = true,				
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------- finish ------

	------- start ------
	
	["Fan_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 46,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Fan_Sugar/part_3",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这是花瓣，需要在它们周围连接若干种颜色糖果，把花瓣都染成不同颜色就可以收集起来啦！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/4",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/5",
							["highlight"] = true,				
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/Fan_Sugar/part_1",

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "连接这三颗粉色糖果看看吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,					
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,					
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,					
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "COLLECT_FINISH",
						["constraint"] = {

							["id"] = "/Fan_Sugar/part_2",

						},
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "看！其中一个花瓣变成红了耶！继续努力吧~",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/4",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/5",
							["highlight"] = true,				
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------- finish ------

	------- start ------
	
	["BOSS_1"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 6,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/BOSS_1/part_3",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_01",
						["text"] = "啊哒！我是勇武双全的BOSS武太郎！是不是感觉不知所措了！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["constraint"] = {

							["id"] = "/BOSS_1/part_1"

						},

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_01",
						["text"] = "我才不会告诉你收集对应糖果可以打倒我呢！",
						["position"] = 1200,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/4",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_ui_layer/Layer/panel_score/image_bottle",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_ui_layer/Layer/panel_score/panel_candy",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "BOSS_ATTACK_PREPARE",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_01",
						["text"] = "啊哒！再连接一步的话，看我把糖果都变成巧克力！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_ui_layer/Layer/image_dia/image_turn_based",
							["highlight"] = true,			
						},
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},


	},

	------- finish ------

	------- start ------
	
	["BOSS_2"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 25,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/BOSS_2/part_3",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_02",
						["text"] = "呼哈~呼哈~我是力敌千钧的BOSS雪太郎！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["id"] = "/BOSS_2/part_1",
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_02",
						["text"] = "老大叫我阻止你们继续前进，你们别想再前进一步了。",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["id"] = "/BOSS_2/part_2",
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_02",
						["text"] = "哈~哈~哈哧！赶紧开始吧，有点冷...",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},


	},

	------- finish ------

	------- start ------
	
	["BOSS_3"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 45,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/BOSS_3/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_03",
						["text"] = "喔~喔~喔~喔~我是身手敏捷的BOSS印地太郎！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["id"] = "/BOSS_3/part_1",
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_03",
						["text"] = "准备感受热带雨林的威力吧！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------- finish ------

	------- start ------
	
	["BOSS_4"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 65,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/BOSS_4/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_04",
						["text"] = "凉风有信~秋月无边~我是绝顶聪明的BOSS才太郎！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["id"] = "/BOSS_4/part_1",
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_04",
						["text"] = "乖乖投降吧！你们已经走进我设计的圈套中了！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------- finish ------

	------- start ------
	
	["BOSS_5"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 85,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/BOSS_5/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_05",
						["text"] = "凉风有信~秋月无边~我是美貌与智慧的化身——BOSS艳太郎！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["id"] = "/BOSS_5/part_1",
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_05",
						["text"] = "让我先说规矩：不能打脸哦！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------- finish ------

	------- start ------
	
	["TimingBomb_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 61,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/TimingBomb_Sugar/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这是定时炸弹，如果你消耗了步数但没有消除它们，倒计时就会减一哦！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/2",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/3",
							["highlight"] = true,				
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["id"] = "/TimingBomb_Sugar/part_1",

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "不过只要让3个或以上同色的定时炸弹跟糖果连接起来就可以消除啦！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------
		},

	},

	------- finish ------

	------- start ------
	
	["Panda_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 76,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Panda_Sugar/part_2",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这是熊猫障碍，必须要使用特效才能消除哦！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/2",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/4",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/5",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/6",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/7",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/8",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/9",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/10",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/11",
							["highlight"] = true,				
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["id"] = "/Panda_Sugar/part_1",

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "我为你准备了一些特效，努力把熊猫障碍都消除吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/12",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------
		},

	},

	------- finish ------

	------- start ------
	
	["Random_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 91,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Random_Sugar/part_3",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "这是陶罐障碍，把它跟2个或以上同色糖果连接起来就可以消除啦！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/3",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/4",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/5",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/6",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/7",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/8",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/9",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/10",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/11",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/12",
							["highlight"] = true,				
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_2"] = {

				["event"] = {

					["enter"] = {

						["name"] = "TUTORIAL_COMPLETE",
						["id"] = "/Random_Sugar/part_1",

						["invoke"] = {

							["type"] = "script",
							["path"] = "LINK_MODE_SEQUENCE"

						},
						["revoke"] = {

							["type"] = "script"
,							["path"] = "LINK_MODE_ARBITARY"

						},
					},

					["exit"] = {

						["name"] = "REMOVE_START",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "把它们连接起来看看吧，有小惊喜哦！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = false,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

						{
							["routine"] = "game_board_frame/game_board/3",
							["rune"] = true,
							["hand"] = true,
							["hand_action"] = "HAND_ACTION_TRAVERSE",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

			------- start ------

			["part_3"] = {

				["event"] = {

					["enter"] = {

						["name"] = "COLLECT_FINISH",
						["id"] = "/Random_Sugar/part_2",
					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "消除陶罐后会随机出现特效或障碍哦！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/bomb",
							["highlight"] = true,				
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------- finish ------


	------- start ------
	
	["Transform_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 106,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Transform_Sugar/part_1",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "看，是皮球嘞！听说皮球会变色哦，不过只要和同色的糖果相连就可以消除了呢",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/3",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/4",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/5",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/6",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/7",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/8",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/9",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/10",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/11",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/12",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/13",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/14",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/15",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/16",
							["highlight"] = true,				
						},
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------- finish ------

	------ start ------
	
	["Fan_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 121,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Fan_Sugar/part_1",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "咦~这些花有5片花瓣哩！让我们来把它变成美丽的五色花吧",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["highlight"] = true,				
						},
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------ start ------
	
	["MoveableIce_Sugar2"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 136,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/MoveableIce_Sugar2/part_1",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "啊，巧克力被包上了外衣，看来需要多消除一次才能收集了呢",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/3",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/4",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/5",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/6",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/7",
							["highlight"] = true,				
						},
						
						{
							["routine"] = "game_board_frame/game_board/8",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/9",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/10",
							["highlight"] = true,				
						},
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------- finish ------

	------ start ------
	
	["Coco_Sugar"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 151,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/Coco_Sugar/part_1",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["text"] = "喔~篮子里面有好多好喝的椰奶呢！快去消除周围的糖果收集椰奶吧！",
						["role"] = "DIALOG_ROLE_SHIN",
						["position"] = 1300,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "game_board_frame/game_board/1",
							["highlight"] = true,				
						},

						{
							["routine"] = "game_board_frame/game_board/2",
							["highlight"] = true,				
						},
					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------

		},

	},

	------- finish ------
	------- start ------
	
	["BOSS_6"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 105,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/BOSS_6/part_1",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_07",
						["text"] = "听好了小鬼们，有我星太郎在此，你们就别想再往前一步啦！哇咔咔！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------
		},
	},
			------- finish ------
			------- start ------
	
	["BOSS_7"] = {

		["checkpoint"] = "CHECKPOINT_COMPLETE",-- CHECKPOINT_COMPLETE : 结束后保存进度 |  CHECKPOINT_START : 开始时保存进度

		["event"] = {

			["enter"] = {

				["name"] = "GAME_START",
				["constraint"] = {

					["level"] = 135,

				},

			},

			["exit"] = {

				["name"] = "TUTORIAL_COMPLETE",
				["constraint"] = {

					["id"] = "/BOSS_7/part_1",

				},

			},

		},

		["nested"] = {

			------- start ------

			["part_1"] = {

				["event"] = {

					["enter"] = {

						["name"] = "GAME_READY",

					},

					["exit"] = {

						["name"] = "TUTORIAL_OK_PRESSED",

					},

				},

				["interface_config"] = {

					["dialog"] = {
						["role"] = "DIALOG_BOSS_08",
						["text"] = "我就是又香又甜的菠太郎，今。。。不准看着我流口水，我可不能吃！",
						["position"] = 1000,
						["button"] = true,
					},

					["indication"] = {

						{
							["routine"] = "boss",
							["highlight"] = true,			
						},

					},

					["mask_opacity"] = 200,

				},
			},

			------- finish ------
		},
	},
			------- finish ------
}

return configs