require "core.LayerManager"
require "core.TalkingDataManager"
FirstGiftLayer = class("FirstGiftLayer", function() return cc.Layer:create() end)

function FirstGiftLayer:ctor()

    self:setName("first_gift_layer")

	local widget = cc.CSLoader:createNode("first_gift.csb")
    self:addChild(widget, 1);

    widget:setContentSize(cc.Director:getInstance():getVisibleSize())
    ccui.Helper:doLayout(widget)

    --动画
    self.action = cc.CSLoader:createTimeline("first_gift.csb")
    widget:runAction(self.action)

    self.action:setCurrentFrame(0)
    self.action:play("first_gift_in", false)
    local function onFrameEvent(frame)
        if nil == frame then
            return
        end
        local str = frame:getEvent()
        if str == "first_gift_in_end" then

        elseif str == "first_gift_out_end" then
            self:removeFromParent()

        end
    end
    self.action:setFrameEventCallFunc(onFrameEvent)

    local node = widget:getChildByName("node")
    local image_dia = node:getChildByName("image_dia")

    local image_dia_1 = image_dia:getChildByName("image_dia_1")
    for i=1,3 do
        local image = image_dia_1:getChildByName(string.format("image_%d", i))
        local text = image_dia_1:getChildByName(string.format("text_%d", i))
    end

    local image1 = image_dia_1:getChildByName("image_1")
    image1:setTexture("images/shop/energy_4.png")
    local text1 = image_dia_1:getChildByName("text_1")
    text1:setVisible(false)
    local text2 = image_dia_1:getChildByName("text_2")
    text2:setString(string.format("x%d",20))

    local text_3 = image_dia_1:getChildByName("text_3")
    text_3:setString(string.format("x%dk",2))


    --获取按钮
    local get_image = image_dia:getChildByName("button_get")
    local get_Btn = ButtonWrap:create()
    get_Btn:wrap(get_image, 1)
    get_Btn:addTouchEndCallback(function()
        MusicManager:getInstance().play_effect(ResourceManager:getInstance():getAudioPathByKey("Click1_Audio"), false)
        --7.19
        local player = Player:getInstance()
        player:add_player_bag_info_by_id("item_02", 2000)
        player:add_player_bag_info_by_id("item_03", 20)
        TalkingDataManager:getInstance():sendOnReward(20,"见面礼")
        --7.19

        --7.21
        Player:getInstance():set_player_left_cover_time(3600)
        cc.UserDefault:getInstance():setBoolForKey("is_Unlimit_Power", true)
        local tm_first = os.time()
        cc.UserDefault:getInstance():setIntegerForKey("tm_first", tm_first)

        --7.21
        self:close_self()

        TRIGGER_EVENT("GIFT_AQUIRED")

    end)

    -- 关闭按钮
    local close_image = image_dia:getChildByName("button_close")
    local close_Btn = ButtonWrap:create()
    close_Btn:wrap(close_image, 1)
    close_Btn:addTouchEndCallback(function()
        MusicManager:getInstance().play_effect(ResourceManager:getInstance():getAudioPathByKey("Ui_Cancelitem_Audio"), false)
        self:close_self()

        --7.22
        -- local tm_first = os.time() - 3597
        -- cc.UserDefault:getInstance():setIntegerForKey("tm_first", tm_first)
    end)
    close_image:setVisible(false)

    local  listenner = cc.EventListenerTouchOneByOne:create()
    listenner:setSwallowTouches(true)
    listenner:registerScriptHandler(function(touch, event)
        return true
    end, cc.Handler.EVENT_TOUCH_BEGAN )
    local eventDispatcher = self:getEventDispatcher()
    eventDispatcher:addEventListenerWithSceneGraphPriority(listenner, self)

end

function FirstGiftLayer:close_self()

    LayerManager:getInstance():remove_top_layer()
    self.action:play("first_gift_out", false)

    local event = cc.EventCustom:new("gift_aquired")
    event.param = {}
    cc.Director:getInstance():getEventDispatcher():dispatchEvent(event)   

end

return FirstGiftLayer