require "core.LayerManager"
require "UI.Widget.MaskLayer"
require "core.TalkingDataManager"
SpecialGiftLayer = class("SpecialGiftLayer", function() return cc.Layer:create() end)
SpecialGiftLayer.Gift_Type = {
    Gold = 1,
    Jewel = 2,
    Energy = 3,
    Treasure = 4,
}

function SpecialGiftLayer:ctor(Gift_Type)

    self:setName("SpecialGiftLayer")
    self.close_callback = nil
    self.Gift_Type = Gift_Type
	local widget = cc.CSLoader:createNode("limit_gift.csb")
    self:addChild(widget, 1);
    self.die_callback = nil
    widget:setContentSize(cc.Director:getInstance():getVisibleSize())
    ccui.Helper:doLayout(widget)

    self.action = cc.CSLoader:createTimeline("limit_gift.csb")
    widget:runAction(self.action)

    self.action:setCurrentFrame(0)
    self.action:play("springsale_in", false)

    local function onFrameEvent(frame)
        if nil == frame then
            return
        end
        local str = frame:getEvent()
        if str == "springsale_in_end" then

        elseif str == "springsale_out_end" then
            self:removeFromParent()
        end
    end
    self.action:setFrameEventCallFunc(onFrameEvent)
    local item_vector_image = {
        ["item_02"] = "images/item/item_8.png",
        ["item_03"] = "images/item/item_9.png",
        ["item_102"] = "images/shop/energy_2.png",
        ["item_103"] = "images/shop/energy_3.png",
        ["item_104"] = "images/shop/energy_4.png",
        ["item_304"] = "images/item/item_7.png",
        ["item_305"] = "images/item/item_8.png",
    }
    local node = widget:getChildByName("node")
    local image_dia = node:getChildByName("image_dia")

	
    local player = Player:getInstance()
    local gift_1 = image_dia:getChildByName("gift_1")
    local springsale_info_vector = require "script.springsale_info"
    local springsale_info = springsale_info_vector[1]
    self.gift = gift_1
    print(Gift_Type)
    if self.Gift_Type == SpecialGiftLayer.Gift_Type.Gold then
        print(Gift_Type)
        springsale_info = springsale_info_vector[5]
        self:switch_shop_type("gold")
    elseif self.Gift_Type == SpecialGiftLayer.Gift_Type.Jewel then
        springsale_info = springsale_info_vector[4]
        self:switch_shop_type("jewel")
        -- self.gift:getChildByName("image_title"):loadTexture("images/shop/specialgift/jewel.png")
    elseif self.Gift_Type == SpecialGiftLayer.Gift_Type.Energy then
        springsale_info = springsale_info_vector[3]
        self:switch_shop_type("energy")
    elseif self.Gift_Type == SpecialGiftLayer.Gift_Type.Treasure then
        springsale_info = springsale_info_vector[6]
        self:switch_shop_type("treasure")
    end

    self.springsale_info = springsale_info

    -- for i=1,#springsale_info do
    -- 	local item = self.gift:getChildByName(i)
    -- 	local image_item = item:getChildByName("image_item")
    -- 	local text_num = item:getChildByName("text_num")

    -- 	local bag_info = Bag_Data:getInstance():get_bag_info_by_id(springsale_info.item_vector[i].item_id)
        
    --     image_item:loadTexture(bag_info.res_key)
        
    --     if springsale_info.item_vector[i].item_id == "item_03" then
    --         image_item:loadTexture("images/shop/jewel_3.png")
    --         image_item:setContentSize(cc.size(149,106))
        
    --     end
    	
    --     text_num:setString(string.format("x%d",springsale_info.item_vector[i].item_num))
        
    --     -- if bag_info.item_id == "item_02" then
    --     --     text_num:setString(string.format("x%dk",springsale_info.item_vector[i].item_num))
    --     -- end
    -- end
    local image_qcount = image_dia:getChildByName("image_qcount")
    local text_qcount = image_qcount:getChildByName("text_price")
    text_qcount:setString(self.springsale_info.origin_cost)
    local buy_Image = image_dia:getChildByName("button_buy")
    local text_price = buy_Image:getChildByName("text_price")
    -- local image_price = buy_Image:getChildByName("image_price")
    text_price:setString(self.springsale_info.cost)
    -- if springsale_info.currency == "jewel" then
    -- 	image_price:loadTexture("images/shop/jewel.png")
    -- elseif springsale_info.currency == "rmb" then
    	-- image_price:loadTexture("images/shop/rmb.png")
    -- end
    origin_cycle_action(buy_Image)
    local buy_Btn = ButtonWrap:create()
    buy_Btn:wrap(buy_Image, 1)
    buy_Btn:addTouchEndCallback(function()
        MusicManager:getInstance().play_effect(ResourceManager:getInstance():getAudioPathByKey("Click2_Audio"), false)
     --    if springsale_info.currency == "jewel" then
	    -- 	if springsale_info.cost <= player:get_player_jewel() then
     --            player:add_player_jewel(-springsale_info.cost)
     --            TalkingDataManager:getInstance():sendOnPurchase(springsale_info.sale_name,1,springsale_info.cost)

     --            self:buy_springsale_success()
     --        else
     --            local shopLayer = ShopLayer:create()
     --            shopLayer:show_goods_by_type(ShopLayer.SHOP_TYPE.JEWEL)
     --            LayerManager:getInstance():add_layer_to_scene(shopLayer)
                
     --            local warningLayer = WarningLayer:create()
     --            warningLayer:set_text_string(ResourceManager:getInstance():getTextStringByKey("needJewel"))
     --            LayerManager:getInstance():add_layer_to_scene(warningLayer)
     --        end
	    -- elseif springsale_info.currency == "rmb" then
	    	TradeManager:getInstance():pay_buy_currency(springsale_info.sale_name, springsale_info.cost,
	    		function() self:buy_springsale_success() end, nil)
    -- end
    end)

    -- 关闭按钮
    local closeImage = image_dia:getChildByName("button_close")
    local closeBtn = ButtonWrap:create()
    closeBtn:wrap(closeImage, 1)
    closeBtn:addTouchEndCallback(function()
        MusicManager:getInstance().play_effect(ResourceManager:getInstance():getAudioPathByKey("Ui_Cancelitem_Audio"), false)
        self:close_self()
    end)

    local function onNodeEvent(event)
        if "enter" == event then
            self:onEnter()
        elseif "exit" == event then
            self:onExit()
        end
    end
    self:registerScriptHandler(onNodeEvent)

    local  listenner = cc.EventListenerTouchOneByOne:create()
    listenner:setSwallowTouches(true)
    listenner:registerScriptHandler(function(touch, event)
        return true
    end, cc.Handler.EVENT_TOUCH_BEGAN )
    local eventDispatcher = self:getEventDispatcher()
    eventDispatcher:addEventListenerWithSceneGraphPriority(listenner, self)

end

function SpecialGiftLayer:buy_springsale_success()
    local player = Player:getInstance()
    local item_vector = self.springsale_info.item_vector
    for k,v in pairs(item_vector) do
        local item_id = v.item_id
        local item_num = v.item_num
        if item_id == "item_02" or item_id == "item_03" then
            player:add_player_currency_by_id(item_id, item_num)
            if item_id == "item_03" then
                TalkingDataManager:getInstance():sendOnReward(item_num,self.springsale_info.sale_name)
            end
           
        else
            player:add_player_bag_info_by_id(item_id, item_num)
            if item_id == "item_104" then
               Player:getInstance():set_player_left_cover_time(3600)
                cc.UserDefault:getInstance():setBoolForKey("is_Unlimit_Power", true)
                local tm_first = os.time()
                cc.UserDefault:getInstance():setIntegerForKey("tm_first", tm_first)

                print("aaaaaaaaaaaaaaaa04")
            end
        end
    end
    player:set_is_buy_limit_gift(true)
    require "core.TalkingDataManager"
    TalkingDataManager:getInstance():send("礼包", {["限购礼包购买次数"] = "次数"})

    local commonPopupLayer1 = CommonPopupLayer:create()

    commonPopupLayer1:disable_close()
    local str1 = "购买成功"
    local str2 = string.format("购买%s成功",self.springsale_info.sale_name)
    local str3 = "确定"
    commonPopupLayer1:showMessage(str1, str2, str3, function()
        commonPopupLayer1:close_self()
        cc.Director:getInstance():getEventDispatcher():dispatchCustomEvent(NotificationUtil.EventType.limit_gift_event)
        self:close_self()
    end, nil)

end

function SpecialGiftLayer:close_self()
    if self.close_callback then
        self.close_callback()
    end
    
    self:addChild(MaskLayer:create(), 5)
    LayerManager:getInstance():remove_top_layer()
    self.action:play("springsale_out", false)
end

function SpecialGiftLayer:set_close_callback(callback)
    self.close_callback = callback
end

function SpecialGiftLayer:onExit()

end

function SpecialGiftLayer:switch_shop_type(currenttype)
    
    local gold = self.gift:getChildByName("gold")
    local jewel = self.gift:getChildByName("jewel")
    local energy = self.gift:getChildByName("energy")
    local treasure = self.gift:getChildByName("treasure")
    gold:setVisible(false)
    jewel:setVisible(false)
    energy:setVisible(false)
    treasure:setVisible(false)
    if currenttype == "gold" then
        gold:setVisible(true)
        -- self.gift = gold
    elseif currenttype == "treasure" then
        treasure:setVisible(true)
        -- self.gift = treasure
    elseif currenttype == "jewel" then
        jewel:setVisible(true)
        -- self.gift = jewel
    elseif currenttype == "energy" then
        energy:setVisible(true)
        -- self.gift = energy
    end
end

return SpecialGiftLayer