-- 过期实现，未使用

require "UI.Scene.ExternalScene"
require "UI.Layer.CommonPopupLayer"
require "UI.Scene.TestScene"
require "UI.Scene.LoadingScene"
require "core.TaskManager"

local TutorialInterface = require "UI/Layer/TutorialInterface"

local ResourceManagerEX = require "GameEx.Foundations.ResourceManager"
HomeScene = class("HomeScene", function() return cc.Scene:create() end)

function HomeScene:ctor()

    FileManipulator:getInstance()

	self:init_ui()
    MusicManager:getInstance().play_bg_music(ResourceManager:getInstance():getAudioPathByKey("Main_Scene_Music"), true)
    MusicManager:getInstance().set_music_volume(0.15)

    -- local screen_size = cc.Director:getInstance():getVisibleSize()
    -- local title_spine = ResourceManager:getInstance():getSpineByKey("SPINE_TITLE", 1)
    -- title_spine:setPosition(cc.p(screen_size.width / 2, screen_size.height / 2))
    -- title_spine:setAnimation(0, "title", false)
    -- title_spine:addAnimation(0, "title_cycle", true)

    -- self:addChild(title_spine)

    if cc.UserDefault:getInstance():getBoolForKey("login", true) then
        self:init_game_data()
    end

    local finish_call = function()

        local is_first_login = cc.UserDefault:getInstance():getBoolForKey("login", true)

        if is_first_login then
            
            self:load_extern_scene_resource()
            self.image_loading:setVisible(true)
            cc.UserDefault:getInstance():setBoolForKey("login", false)
        else
            self.image_loading:setVisible(false)
            self.start_image:setVisible(true)
        end

    end

    local sequence = cc.Sequence:create(cc.DelayTime:create(75 * 0.033), cc.CallFunc:create(finish_call))
    self:runAction(sequence)

    local function onNodeEvent(event)

        if "enter" == event then
            

        end

    end

    self:registerScriptHandler(onNodeEvent)

    --作业本统计
    -- local player = Player:getInstance()
    -- local newest_mission_id = player:get_player_newest_mission_id()
    -- local mission_info = Mission_Data:getInstance():get_mission_info_by_id(newest_mission_id)
    -- local newest_level = mission_info.mission_level
    -- local mission_info_vector = Mission_Data:getInstance():get_mission_info_vector()
    -- local open_task_level = nil
    -- for i,v in ipairs(mission_info_vector) do
    --     if v.new_system == "task" then
    --         local player_mission_info = player:get_player_mission_info_by_id(v.mission_id)
    --         open_task_level = v.mission_level
    --     end
    -- end
    -- if newest_level >= open_task_level then
    --     local taskManager = TaskManager:getInstance()
    --     taskManager:update_date()
    -- end
    local taskManager = TaskManager:getInstance()
    taskManager:update_date()
end

function HomeScene:init_ui()
	local visible_size = cc.Director:getInstance():getVisibleSize()

    local widget = cc.CSLoader:createNode("home.csb")
    self:addChild(widget, 1);

    widget:setContentSize(cc.Director:getInstance():getVisibleSize())
    ccui.Helper:doLayout(widget)

    -- 动画
    self.action = cc.CSLoader:createTimeline("home.csb")
    widget:runAction(self.action)
    self.action:setCurrentFrame(0)

    -- 加载进度条
    local node = widget:getChildByName("node")
    local image_loading = node:getChildByName("image_loading")
    self.image_loading = image_loading
    self.loadingBar = image_loading:getChildByName("loadingbar")
    self.loadingBar:setPercent(0)
    self.image_loading:setVisible(false)

    -- 文本按钮
    if TEST_MODE == 1 then
        local  label = cc.Label:createWithTTF(ResourceManager:getInstance():getTextStringByKey("HomeScene_1"), "font/zh_CN.TTF", 60)
        label:setColor(cc.c3b(0, 0, 0))
        local  item5 = cc.MenuItemLabel:create(label)
        item5:registerScriptTapHandler(function()
            MusicManager:getInstance().play_effect(ResourceManager:getInstance():getAudioPathByKey("Click1_Audio"), false)
            local testScene = TestScene:create()
            LayerManager:getInstance():clear_layer()
            cc.Director:getInstance():replaceScene(testScene)
        end)

        local s = cc.Director:getInstance():getWinSize()
        local menu = cc.Menu:create()
        menu:addChild(item5)
        menu:setPosition(cc.p(180, s.height * 0.95))
        self:addChild(menu, 9999)
    end

    -- 开始按钮
    local start_image = widget:getChildByName("button_start")
    self.start_image = start_image
    start_image:setVisible(false)
    move_cycle_action(start_image)
    local star_btn = ButtonWrap:create()
    star_btn:wrap(start_image, 1)
    star_btn:addTouchBeginCallback(function()
        start_image:stopAllActions()
    end)
    star_btn:addTouchCancelCallback(function()
        move_cycle_action(start_image)
    end)
    star_btn:addTouchEndCallback(function()

        local event_config = {

            {["name"] = "HOME_SCENE_START"}

        }

        local call_info = {

            func = self.start_button_callback,
            target = self,

        }

        HOOKABLE_CALL(event_config, call_info)

    end)

    local function onKeyReleased(keyCode, event)
        if keyCode == cc.KeyCode.KEY_BACK then
            local top_layer = LayerManager:getInstance():get_top_layer()
            if top_layer then
                if top_layer.close_self then
                    top_layer:close_self()
                end
                return
            else
                local commonPopupLayer = CommonPopupLayer:create()
                local str1 = ResourceManager:getInstance():getTextStringByKey("HomeScene_2")
                local str2 = ResourceManager:getInstance():getTextStringByKey("HomeScene_3")
                local str3 = ResourceManager:getInstance():getTextStringByKey("HomeScene_4")
                commonPopupLayer:showMessage(str1, str2, str3, function()
                    MusicManager:getInstance().play_effect(ResourceManager:getInstance():getAudioPathByKey("Ui_Cancelitem_Audio"), false)
                    cc.Director:getInstance():endToLua()
                end, nil)
            end
        end
    end
    
    local listener = cc.EventListenerKeyboard:create()
    listener:registerScriptHandler(onKeyReleased, cc.Handler.EVENT_KEYBOARD_RELEASED)

    local eventDispatcher = self:getEventDispatcher()
    eventDispatcher:addEventListenerWithSceneGraphPriority(listener, self)


end

function HomeScene:init_game_data()
    -- 添加数据存储路径
    FileManipulator:getInstance()

    -- 初始玩家和游戏内数据
    local gameKernel = GameKernel:getInstance()
    gameKernel:readPlayerData()
    gameKernel:run_time()
    
end

function HomeScene:load_extern_scene_resource()
    cc.SpriteFrameCache:getInstance():removeUnusedSpriteFrames()
    cc.Director:getInstance():getTextureCache():removeUnusedTextures()

    local rm = ResourceManagerEX:get_instance()
    rm:add_textures_to_preload_list("images/skin/bo/bo_100.png")
    rm:add_textures_to_preload_list("images/skin/bo/bo_101.png")
    rm:add_textures_to_preload_list("images/skin/bo/bo_102.png")
    --rm:add_textures_to_preload_list("images/skin/bo/bo_103.png")
    rm:add_textures_to_preload_list("images/skin/kazama/kazama_100.png")
    rm:add_textures_to_preload_list("images/skin/kazama/kazama_101.png")
    --rm:add_textures_to_preload_list("images/skin/kazama/kazama_102.png")
    rm:add_textures_to_preload_list("images/skin/masao/masao_100.png")
    rm:add_textures_to_preload_list("images/skin/masao/masao_101.png")
    rm:add_textures_to_preload_list("images/skin/masao/masao_102.png")
    --rm:add_textures_to_preload_list("images/skin/masao/masao_103.png")
    rm:add_textures_to_preload_list("images/skin/nene/nene_100.png")
    rm:add_textures_to_preload_list("images/skin/nene/nene_101.png")
    rm:add_textures_to_preload_list("images/skin/nene/nene_102.png")
    --rm:add_textures_to_preload_list("images/skin/nene/nene_103.png")
    rm:add_textures_to_preload_list("images/skin/shin/shin_100.png")
    rm:add_textures_to_preload_list("images/skin/shin/shin_101.png")
    rm:add_textures_to_preload_list("images/skin/shin/shin_102.png")
    rm:add_textures_to_preload_list("images/skin/shin/shin_103.png")
    rm:add_textures_to_preload_list("images/skin/shin/shin_104.png")

    rm:add_textures_to_preload_list("images/stage_map/101_0.jpg")
    rm:add_textures_to_preload_list("images/stage_map/101_1.jpg")
    --rm:add_textures_to_preload_list("images/stage_map/101_2.png")
    --rm:add_textures_to_preload_list("images/stage_map/101_button_stage_gray.png")
    rm:add_textures_to_preload_list("images/stage_map/101_button_stage.png")
    rm:add_textures_to_preload_list("images/stage_map/guang.png")
    rm:add_textures_to_preload_list("images/stage_map/line.png")
    rm:add_textures_to_preload_list("images/stage_map/stage_dobber.png")

    rm:set_finish_preload_callback(function()

        self:unscheduleUpdate()
        self.loadingBar:setPercent(100)
        self.start_image:setVisible(true)
        self.action:play("loading_out", false)

        cc.Director:getInstance():setAnimationInterval(1.0 / 30)

    end)
    rm:start_preload()

    local function update(delta)
        local percent =  rm:get_preload_progress()
        self.loadingBar:setPercent(percent)
    end
    self:scheduleUpdateWithPriorityLua(update, 0)
end

function HomeScene:start_button_callback()

    MusicManager:getInstance().play_effect(ResourceManager:getInstance():getAudioPathByKey("Click1_Audio"), false)
    MusicManager:getInstance().play_effect(ResourceManager:getInstance():getAudioPathByKey("VOICE_mx"), false)

    cc.UserDefault:getInstance():setBoolForKey("home_scene_in", true)
    local externalScene = ExternalScene:create()
    LayerManager:getInstance():clear_layer()
    externalScene:move_section_map()
    cc.Director:getInstance():replaceScene(externalScene)

end

return HomeScene