MaskLayer = class("MaskLayer", function() return cc.Layer:create() end)

function MaskLayer:ctor()
    -- 吃掉点击事件
    self.__n_enable = true

    local  listenner = cc.EventListenerTouchOneByOne:create()
    listenner:setSwallowTouches(true)
    listenner:registerScriptHandler(function(touch, event)
        return self.__n_enable
    end, cc.Handler.EVENT_TOUCH_BEGAN )
    local eventDispatcher = self:getEventDispatcher()
    eventDispatcher:addEventListenerWithSceneGraphPriority(listenner, self)
end

function MaskLayer:setEnabled(enable)

	self.__n_enable = enable

end

function MaskLayer:init_background(color)
    self:addChild(cc.LayerColor:create(color))
end

return MaskLayer