SectionLockWidget = class("SectionLockWidget", function() return cc.Layer:create() end)

function SectionLockWidget:ctor()
	self.unlock_callback = nil
	self.widget = cc.CSLoader:createNode("section_lock.csb")
	self:addChild(self.widget, 1)  

	self.action = cc.CSLoader:createTimeline("section_lock.csb")
	self.action:gotoFrameAndPlay(0, 1, false)
    self.widget:runAction(self.action)    

    local function onFrameEvent(frame)
        if nil == frame then
            return
        end
        local str = frame:getEvent()
        if str == "section_lock_end" then
        	if self.unlock_callback  then
        		self.unlock_callback()
        	end
        end
    end
    self.action:setFrameEventCallFunc(onFrameEvent)

end

function SectionLockWidget:unlock()
    self.action:play("section_lock", false)   
end

function SectionLockWidget:set_unlock_callback(callback)
	self.unlock_callback = callback
end


return SectionLockWidget