SignPenWidget = class("SignPenWidget", function() return cc.Layer:create() end)

function SignPenWidget:ctor()
	self.sign_callback = nil
	self.widget = cc.CSLoader:createNode("sign_in_anim.csb")
	self:addChild(self.widget, 1)  

	self.action = cc.CSLoader:createTimeline("sign_in_anim.csb")
    self.widget:runAction(self.action)
    self.action:play("sign_pen", false)  

    local function onFrameEvent(frame)
        if nil == frame then
            return
        end
        local str = frame:getEvent()
        if str == "sign_pen_end" then
        	if self.sign_callback  then
        		self.sign_callback()
        	end
        end
    end
    self.action:setFrameEventCallFunc(onFrameEvent)

end

function SignPenWidget:set_sign_callback(callback)
	self.sign_callback = callback
end


return SignPenWidget