Invite_Reward_Data = class("Invite_Reward_Data")

function Invite_Reward_Data:ctor()
	self.invite_reward_vector = require "script/invite_reward_info.lua"
	self.invite_reward_vector_id = {}
	for k,v in pairs(self.invite_reward_vector) do
		self.invite_reward_vector_id[v["invite_id"]] = v 
	end
end

function Invite_Reward_Data:get_invite_reward_vector()
	return self.invite_reward_vector
end

function Invite_Reward_Data:get_invite_reward_info_by_id(invite_id)
	return self.invite_reward_vector_id[invite_id]
end

function Invite_Reward_Data:getInstance()
	Invite_Reward_Data.instance = Invite_Reward_Data.instance or Invite_Reward_Data:create()
	return Invite_Reward_Data.instance
end

return Invite_Reward_Data 