RPCHttp_buildin = {}

RPCHttp_buildin.call = function(rpc_session_id, url, serialized_param)

    local http_request = cc.XMLHttpRequest:new()
    http_request:open("post", url, true)
    http_request:setRequestHeader("Content-type,charset","application/x-www-form-urlencoded,utf-8")
    http_request:registerScriptHandler(function()

        local status = http_request.status

        if status == 200 then

            local response = http_request.response

            RPC.return_to_lua(rpc_session_id, RPC.RPC_CALL_SUCCESS, response)

        else

            RPC.return_to_lua(rpc_session_id, RPC.RPC_CALL_FAILURE, nil)

        end

    end)
    http_request:send("json_data="..serialized_param)

end

return RPCHttp_buildin