-- 该实现为过期实现，未启用。

local TutorialLayer = require "UI/Layer/TutorialLayer"

TutorialManager = class("TutorialManager")

function TutorialManager:ctor()

	self.__t_tutorial_progress = {}

	self.__n_enable_flag = true

	self:add_skip_listener()

	self.__t_current_config_name = "empty"
	self.__n_current_tutorial_progress = 0

end

function TutorialManager:set_enabled(enable_flag)

	self.__n_enable_flag = enable_flag

end

function TutorialManager:add_skip_listener()

	self.__c_skip_listener = cc.EventListenerCustom:create("tutorial_skip", function() self:skip() end)
	cc.Director:getInstance():getEventDispatcher():addEventListenerWithSceneGraphPriority(self.__c_skip_listener, cc.Director:getInstance():getNotificationNode())

end

function TutorialManager:save_tutorial_progress()
print("save_progress")
	cc.UserDefault:getInstance():setBoolForKey("tutorial_saved", true)

	self.__t_tutorial_progress[self.__t_current_config_name] = self.__n_current_tutorial_progress

	FileManipulator:getInstance():writeToFile("tutorial_progress_data", "tutorial_progress_data", self.__t_tutorial_progress)

end

function TutorialManager:clear_save()

	cc.UserDefault:getInstance():setBoolForKey("tutorial_saved", false)
	self.__t_tutorial_progress = {}
	self.__t_current_config_name = "empty"
	self.__n_current_tutorial_progress = 0
	package.loaded["tutorial_progress_data"] = nil

end

function TutorialManager:load_tutorial_progress()

print("load progress")
	if not cc.UserDefault:getInstance():getBoolForKey("tutorial_saved", false) then
print("first load")
		self:save_tutorial_progress()

	end

	self.__t_tutorial_progress = require "tutorial_progress_data"
dump(self.__t_tutorial_progress)
end

function TutorialManager:load_tutorial_config(config_name)

	self:terminate()
print(string.format("load config [%s]", config_name))
	self.__t_current_config_name = config_name
	self.__t_current_config = require(string.format("GameEx/Resources/Tutorial/Configs/%s", config_name))

	if not self.__t_tutorial_progress[config_name] then
print(string.format("new config [%s]", config_name))
		self.__t_tutorial_progress[config_name] = 0

	end

	self.__n_current_tutorial_progress = self.__t_tutorial_progress[config_name]

end

function TutorialManager:is_current_tutorial_finished()

	if self.__n_current_tutorial_progress > #self.__t_current_config then

		return true

	else

		return false

	end

end

function TutorialManager:continue()

	if self.__n_enable_flag and self.__t_current_config_name then

		if self:is_current_tutorial_finished() then
print("tutorial already finish")
			self:terminate()

		else
					
			self.__n_current_tutorial_progress = self.__n_current_tutorial_progress + 1
print(string.format("tutorial [%s] section: [%d]", self.__t_current_config_name, self.__n_current_tutorial_progress))

			if self:is_current_tutorial_finished() then
print("tutorial reach end")
				self:terminate()

			else
print("continue")
				self:clear_previous_section()

				self:build_layer()
				self:register_condition_listener()

				local event = cc.EventCustom:new("tutorial_continue")
        		event.condition = {}
        		cc.Director:getInstance():getEventDispatcher():dispatchEvent(event)

			end

		end		

	end

end

function TutorialManager:skip()

	if self.__t_current_config_name then

		local section_config = self.__t_current_config[self.__n_current_tutorial_progress]

		self:do_trigger(section_config.skip_trigger)

		self.__n_current_tutorial_progress = #self.__t_current_config + 1

		self:save_tutorial_progress()

		self:terminate()

	end

end

function TutorialManager:terminate()
print("terminate")
	if self.__t_current_config_name then

		self:clear_previous_section()

		self.__t_current_config_name = nil
		self.__t_current_config = nil
		self.__n_section_actived = false

	end

end

function TutorialManager:clear_previous_section()
print("clear previous")
	if self.__c_layer then
print("layer release")

		local guide = self.__c_layer.__c_guide_node

		self.__c_layer:removeFromParent()
		self.__c_layer:release()

		self.__c_layer = nil

	end

	if self.__c_start_condition_listener then

		cc.Director:getInstance():getEventDispatcher():removeEventListener(self.__c_start_condition_listener)

		self.__c_start_condition_listener = nil

	end

	if self.__c_end_condition_listener then

		cc.Director:getInstance():getEventDispatcher():removeEventListener(self.__c_end_condition_listener)

		self.__c_end_condition_listener = nil

	end

	self.__n_section_actived = false

end

function TutorialManager:build_layer()
print("layer retain")
	self.__c_layer = TutorialLayer:create()
	self.__c_layer:retain()

	local section_config = self.__t_current_config[self.__n_current_tutorial_progress]

	if section_config.dialog then

		self.__c_layer:add_dialog(section_config.dialog)

	end

	if section_config.view then

		self.__c_layer:add_view(section_config.view)

		if not (section_config.view.touch_through == nil) then
print("touch through")
			self.__c_layer:set_touch_through(section_config.view.touch_through)

		end

	end

	if section_config.indicator then

		self.__c_layer:add_indicator(section_config.indicator)

	end

	if section_config.enter_type then

		self.__c_layer:set_enter_type(section_config.enter_type)
		self.__c_layer.__s_enter_type = section_config.enter_type

	end

	if section_config.leave_type then

		self.__c_layer:set_leave_type(section_config.leave_type)

	end

	if section_config.no_background then

		self.__c_layer:set_background_invisible()

	end

	if section_config.no_skip then

		self.__c_layer:set_no_skip()

	end

end

function TutorialManager:register_condition_listener()

	local section_config = self.__t_current_config[self.__n_current_tutorial_progress]

	section_config.start_condition = section_config.start_condition or { ["event_name"] = "tutorial_continue", ["event_param"] = {} }
	section_config.end_condition = section_config.end_condition or { ["event_name"] = "tutorial_layer_touch_anywhere", ["event_param"] = {} }
print("register condition") dump(section_config.start_condition) dump(section_config.end_condition)
	self.__c_start_condition_listener = cc.EventListenerCustom:create(section_config.start_condition.event_name, function(event) self:handle_start_condition_event(event) end)
	cc.Director:getInstance():getEventDispatcher():addEventListenerWithSceneGraphPriority(self.__c_start_condition_listener, cc.Director:getInstance():getNotificationNode())

	self.__c_end_condition_listener = cc.EventListenerCustom:create(section_config.end_condition.event_name, function(event) self:handle_end_condition_event(event) end)
	cc.Director:getInstance():getEventDispatcher():addEventListenerWithSceneGraphPriority(self.__c_end_condition_listener, cc.Director:getInstance():getNotificationNode())

	if section_config.end_condition.event_name == "tutorial_layer_touch_anywhere" then

		self.__c_layer:add_exit_with_touch()

	end

end

function TutorialManager:handle_start_condition_event(event)
print("start event happened")
	local section_config = self.__t_current_config[self.__n_current_tutorial_progress]
dump(event.param)
	local check_result = self:check_condition(section_config.start_condition.event_param, event.param)
print(check_result) print(self.__n_section_actived)
	if check_result and not self.__n_section_actived then
print("start condition fulfilled")
		self.__n_section_actived = true

		local function after_enter()

			self:do_trigger(section_config.start_trigger)

		end

		if self.__c_layer.__s_enter_type == "trigger_only" then
print("trigger only")
			after_enter()

		else

			self.__c_layer:set_enter_callback(after_enter)
			self.__c_layer:enter()

			cc.Director:getInstance():getRunningScene():addChild(self.__c_layer, 99)

		end

	end

end

function TutorialManager:handle_end_condition_event(event)
print("end event happened")
	local section_config = self.__t_current_config[self.__n_current_tutorial_progress]
dump(event.param)
	local check_result = self:check_condition(section_config.end_condition.event_param, event.param)

	if check_result and self.__n_section_actived then
print("end condition fulfilled")
		self.__n_section_actived = false

		local function after_leave()

			self:do_trigger(section_config.end_trigger)

			if section_config.check_point then

				self:save_tutorial_progress()

			end

			self:continue()

		end

		if self.__c_layer.__s_enter_type == "trigger_only" then

			after_leave()

		else

			self.__c_layer:set_leave_callback(after_leave)
			self.__c_layer:leave()

		end

	end

end

function TutorialManager:check_condition(original_condition, event_condition)

	local check_result = true

	for key, value in pairs(original_condition) do
print(key)  print(value) print(event_condition[key])
		if event_condition[key] == nil or not (event_condition[key] == value) then
print("false ah")
			check_result = false
			break

		end

	end

	return check_result

end

function TutorialManager:do_trigger(trigger)

	if trigger then

		if trigger.trigger_type == "event" then

			local event = cc.EventCustom:new(trigger.event_name)
        	event.param = trigger.event_param
        	cc.Director:getInstance():getEventDispatcher():dispatchEvent(event)

		elseif trigger.trigger_type == "script" then

			local script = require(string.format("GameEx.Resources.Tutorial.Scripts.%s", trigger.script_path))
			script:run()

		end

	end

end

function TutorialManager:get_instance()

	if not TutorialManager.instance then

		TutorialManager.instance = TutorialManager:create()

	end

	return TutorialManager.instance

end

return TutorialManager